commit 84cd908d8a18426ff9d54818774773d98f397f0e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update python binding

commit 538983c1345dfa8300ad13cefa97af9eab5e750d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Bump LT version

commit 1bfa6c8d8f25cca6206be2ad388143abd8947614
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not display MSN Haze if butterfly is installed

commit 3bfd22bf4045d7b3a0c01cbefdce4c8de2620d6b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    If display name of the selected account changes, update the label.

commit e730414a0fccc88bbc188216646e2e0947cdb2d9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    When creating an account set its display name to "New Jabber account", when the account get completed change it to "Jabber (user@jabber.org)". Fixes
    bug #546445.

commit 1d6925a231ed89d87cd6a50cd7997f1ea1fad5d1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Avoid crashing if mc_account_lookup returns NULL, it can happen when status of an incomplet account changes. MC bug probably.

commit 10162568d128d17eeb156a5c80a215b65c071ea2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    If adding a an account that is already in the treeview, simply update values. That happens when an account becomes valid

commit 27d37c63da66ec653a22f3824582951e7d19571b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove unused account_changed boolean

commit 0c5f44e73c780801cbc0d8140f6743088e7c97ae
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Use accounts_dialog_add_account() to add initial set of accounts

commit f42974321128efc383c42046751db64847417ace
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Rework the way the accounts dialog works

commit a7e6022a5c5b0f273ed6c75c874b569f14640541
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not crash if there is no salut profile installed

commit a5ea2e93c183210cae1c81d5a215ef9908164381
Author: sprasad <sprasad@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated the kn translations

commit 0dea540f4b2818e6a9fcdac3c92124acb3c1987a
Author: sprasad <sprasad@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Added kn

commit 74eeb4641a8808e1516254b38a78baec6a06cd75
Author: kmaraas <kmaraas@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2008-08-15  Kjartan Maraas  <kmaraas@gnome.org>

commit 931ab62b55300ad0a7f86d85605befbf4aa82ae5
Author: tomaszd <tomaszd@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated pl translation (Tomasz Dominikowski)

commit add934cbcf371a0e20a8a9ce4ceb85e715aa41b7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove empathy-properties.desktop.in from gitignore and POTFILES.skip

commit 039f1cf3ecae3ea6bbee10b6af70c187c7462b22
Author: fpeters <fpeters@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    remove data/empathy-properties.desktop.in generation in configure.ac as
    the .in.in got removed in revision 1335.

commit d4ac4e3c9b5ee560cf1a139dc6235d198755f132
Author: walters <walters@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Don't need separate "Empathy accounts" in preferences;
    for now Edit->accounts, hopefully in the long term we can
    merge with evolution-data-server/gnome-about-me UI.

commit 33ebb1aa3c6df801d292ee67bfba73c589a48ed7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Reword presence handling. Save requested presence and correctly set auto-away even if NM is disconnected. Fixes bug #540356.

commit 9f68e79a50bbb9e0b8208ce73dcb5adc084632c5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    reorder some functions

commit 279d94cccc74028c03e65afc16c423b8cebaff98
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not stop and restart ext_away_timeout when already running.

commit 4833cf1da50660748d7461e22208b7c88e2ba213
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Reorder functions to not have to declare them in the beginning of the file

commit 0c43ea39cadf60f5dc18723ccfd92a085f4fab6d
Author: leonardof <leonardof@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated pt_BR translation (Djavan Fagundes)

commit 7516b470638bd104803ea679c9766ddb4dd0ecbd
Author: ituohela <ituohela@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Finnish translation

commit 10bbdaea305311f464c2e555447f0d1e85cf3124
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation

commit 03f41013701f4d7be3a11443eef15939424cc571
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add QQ profile and icons

commit f031e7c742caa64af063133a51495e666d5d5386
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add gadugadu profile and icons

commit 16dc12f627f6887ab5d6f1b17975af5fa4f46bc2
Author: icq <icq@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Galician translation

commit 1fa5249cf8ba9fc7635a03de6a2b0b15f69d3254
Author: fpeters <fpeters@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Rephrase sentence in edit contact dialog; fixes bug #547326.

commit 4a6143d6fc1b68de00d49244e0c30dfb24edbd53
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Show the main window by default on first run.

commit 935f0fd2e56ede8ac403b688e81f8f3355712aa9
Author: tomaszd <tomaszd@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated pl translation (Tomasz Dominikowski).

commit 39d373f6c60b2a174f5e276081eee1438bcccbb3
Author: chliao <chliao@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2.23.90

commit fca5d1abe392c6333536cdc9f5e66ac5225917a6
Author: sandeeps <sandeeps@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Adding Marathi(mr) to LINGUAS

commit ee1831a833812b5ee6ecccd20c56955b0e6bc1c8
Author: sandeeps <sandeeps@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Marathi Translations

commit 245f7b4d18ed80d5e2977197d159634ac71dda9f
Author: ituohela <ituohela@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Finnish translation

commit b395eef8e7e5eee98c4a0a67df46e6440d5300f7
Author: dnloreto <dnloreto@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated pt translation (Duarte Loreto)

commit d07636f96a27c7d832d00ea2c7edbe43e4aba173
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add Marco Barisione to CONTRIBUTORS

commit 6a74b3321d2e109f20a8f550947cb6c40f2631cf
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update credits for the about dialog.

commit 294cee878961c0c3685f3790a07bbb2a6fd3b94d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add some contributors and remove those who are already in AUTHORS

commit b2c23ea19396fefa52f70ed0413c52cbffb48712
Author: aman <aman@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Added pa.po for Punjabi Language by Amanpreet Singh Alam

commit 5516313f99726b2e2a5059b5f81c6d0d073cb147
Author: claudep <claudep@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated fr translation (Claude Paroz)

commit deecd5ef5513f17c29e937afbd21c814830c5bf7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not use mission_control_request_channel as we don't use MC's dispatcher anymore. Fixes bug #529084.

commit 42a8a6e1db7bad86ea74fd9250ef3b3414833b6b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a function to request a channel from a string handle

commit 5176a8a17f3e6a6bf1da6efe7b4df7f5694e0e9f
Author: yairhr <yairhr@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    updated he translation

commit 8fb9fc4ab9f449fd0d2a223aa34df07639e34e5a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Use a GtkMessageDialog instead of GtkDialog for remove confirmation diaog of contact/group.

commit d5b42cc4a8b15c16ea5c1cb64c31bc7835b459d7
Author: djihed <djihed@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Arabic Translation by Youssef Chahibi.

commit c130acecc695643a64cb6440ad134d188b52c932
Author: djihed <djihed@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Arabic Translation by Youssef Chahibi.

commit 673d501a455256205d7c8600240730d947312494
Author: dnylande <dnylande@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated sv translation (Daniel Nylander).

commit aa1abff4ac0277b090fa8541e8133a3e4895f7b7
Author: icq <icq@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Galician translation

commit 8a3318dc405f0ac738b9705c0563a4d55b144bbd
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Bump version to 2.23.90

commit c94ad72b3bf97b2f8de91f72728f4b0aac85e827
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove intltool-* from Makefile.am to make it work with newer intltool.

commit 2c1083890c7386036f24743fa27b0c37e0ff749d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update ABI revision

commit 38cd96a2b0f4a690117c8d01ae6e04462af84f86
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update NEWS file

commit 028da32a9844119410aadb1fdc5fc44bb59123b2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update python binding

commit 0425d5f2e3522263961d8aa9af1effb349c045cc
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Bump verison to 2.23.6 to match GNOME version

commit 5b90593049b1a1ec520c54d0f767e11f34333ab3
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation (Jorge Gonzalez)

commit 2fc84ad55fcfa1836a6e398b37966a82e8b6b23c
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation (Jorge Gonzalez)

commit 8302706f656c33b10db5de558e25ddd3e321dc22
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Pick the correct contact alias for the message telling incoming call is rejected. Fixes bug #546218.

commit 3b1e34084940c5d3da7d9d5eb925def0c1fbe142
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add empathy-properties.desktop.in in POTFILES.skip

commit 15c660956565fa09a0680714b91139ed165a88d0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Set a INTALL file pointing to wiki page.

commit bffb785a23888b65bb191a4cbefaeddbe893ab60
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix translators complains about ambigous strings. Fixes bug #546154.

commit af1f508e11b6634e38a64c6c9ee2bc8e132defa5
Author: djihed <djihed@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Arabic Translation by Youssef Chahibi.

commit d2113197ad4e0c55edeb5ba0097eef9ad09ed82c
Author: aklapper <aklapper@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated de translation (Andre Klapper).

commit 055534493495e352deaa9a414916e781ab0f408a
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation (Jorge Gonzalez)

commit 6818c88950538d26215fea07e0b1055d0141e1af
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Display debug messages in the contact-manager tests program.

commit 39719daddfd83cbe807a2cb254c9ac573f2d9a1d
Author: icq <icq@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Galician translation

commit 962017ad623e78432ab283da4e94063cf8111ca8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    On incoming calls don't request a new audio stream. This makes streams collide and confuses empathy (Sjoerd Simons).

commit 687c37715c080cebd7f8a89eb338194f6acea600
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix little coding style

commit 876ee6171b740f2fbf66a9ae77fb96956fa20cf5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove empathy-accounts binary, it is replaced by empathy --accounts

commit bd58883dd01dc96688052a1a96aab450e3e3df7e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    the command-line to show the accounts dialog is "empathy --accounts" now.

commit 3f9b5a2f2bd0d5cb4ad9b79868c704f9056c010b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Added empathy-properties desktop file to configure MC accounts from the GNOME panel -> System -> Preferences. (Jonny Lamb)

commit f48d990fd2dc36cdc5101c32f0aa5386c1e21b73
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Implemented showing a single accounts dialog from the command line.

commit f9fd9c16473a45fdd74d3bede7cc791dcc9d19b7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Link to http://live.gnome.org/Empathy/Roadmap which is more up to date.

commit 43638c77ee9443ef246049e26de9ead212e7ea94
Author: icq <icq@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Galician translation

commit ecd82963cf43e13e2a5770a3d373df1815b6e9ae
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Mark "Add group" translatable. Fixes bug #544964 (Milo Casagrande).

commit 942af641ed6290e928e0093cf32afcb5f0561a44
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update gitignore files

commit dd9726c5fdbb609b04e80708b7e732c93dc5622a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    If we don't know the status string, set it to unset (Sjoerd Simons).

commit 5b096783c21ddec8a3756ebbbcc83a42d658c9cf
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    rename glade screenname entry widget to match empathy-account-widget.c (Elliot Fairweather)

commit 9fe3823a65a657a0d5849f590499f1971d7006eb
Author: djihed <djihed@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Arabic Translation by Abou Manal.

commit 6f8ffc298a32f5a51f1054e83cea57c0183c1307
Author: kmaraas <kmaraas@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Norwegian bokmål translation.

commit 3fb3f70ae06de9ca8856eb82c56fe2d179ac8c4d
Author: dnylande <dnylande@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Added sv to DOC_LINGUAS (Daniel Nylander).

commit d98753d50975583a6ff94f77f664ffd57ecd7bc8
Author: dnylande <dnylande@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Added sv translation (Daniel Nylander).

commit 450ec86da94b4fee035768c551bf5b658d538059
Author: dnylande <dnylande@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated sv translation (Daniel Nylander).

commit c2d48e703875fe5e2353d9761a2225124d007808
Author: al_shopov <al_shopov@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2008-07-21  Alexander Shopov  <ash@contact.bg>

commit 03a1dcb26b1b70d9d9ab77f2cca92b5ac5783a9e
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation (Jorge Gonzalez)

commit ab787ef62804f080515d169d74cb27719d5f2903
Author: icq <icq@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Galician Translation and POTFILES.in

commit bcf977a3d60537eb963c1a3a67e28d0c8b8a7dc0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Display an error message if reason is != _REQUESTED instead of >

commit 0ff1d155e1047f73bc21e1e98ff9eca0cb3910b7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add support to set register param. Fixes bug #462880.

commit 04dc70b460bbba684fc5343a5675cca9a35c4e5b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    gtalk to not support registering

commit fa3f1ff3f741c3f8398d08b0e694f6628ad539fa
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Replace the preview button by a cancel button when creating a new account

commit cfa20fae15d4a314ee5e99eecb4dc6e48f6402c9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Allow renaming account name when accounts are connecting. Fixes bug #486801 (Jonny Lamb)

commit 990fe5df32d1f1d6e801cffb1c3af17fb53008dd
Author: aihana <aihana@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated ja translation (Takeshi AIHANA)

commit 49e526c3b1dfa892edc75407e6fcd87b68e9e3de
Author: wadimd <wadimd@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    * pl.po: Updated Polish translation by Tomasz Dominikowski

commit 0e73c769b2ee47abe5f1e916b4a10cea76303f93
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make more explicit the comment when we activate an event

commit 7eafda6403c42ab51dc28ed6902568b240e4e88c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a comment telling that if there is no event the default handler of row-activated will be called.

commit 64d8902e623e19d7283e5205a1751baaf005c4bd
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a comment for the usage of row_activated class method and optimise a bit that method.

commit b515bfa43019435873343cd0a3c5b3f1f97279d8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Prevent to start a chat when activating a row with an event

commit 859716ab2ad25d5fbfd7a2c150929dfc4ee40fd1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove a FIXME, seems to work perfectly now.

commit 16a5e66213242011ff4b78b1909517f19a2f4167
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Move the event manager to src/

commit 46adf294c3fd336821a5dcc291a8c311ae329b43
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove the contact pending event when the contact is not pending anymore.

commit f921e22c85d43c78fd78093bd390b0c39fc9f52e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix compile error

commit 9add9cfcca7237a86b96a44a9f03535ab5cf9083
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix reviewer complains

commit d1bc637407ed43a95dd95b0c36997136e3fd5039
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove an empty line

commit b58f55bacd1818e0640ab61a77c180201509274b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Activate the event when clicking on the contact list.

commit 1835b1e26a81946dd00b23d599297448a7ba8aed
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Blink the status icon when a contact has an event.

commit 906f7cc0805eee7125e8a033a9c3f7411f948ee1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add the contact from who the event comes in the EmpathyEvent struct.

commit 9666292a12da2a0d37506b4466ef6accf07500a9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add empathy_event_manager_get_events

commit 81d508beff68f2e64f4b9a00bc90952ceefa836b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Move event code from EmpathyStatusIcon to EmpathyEventManager

commit 2176383497e272d84048836a1ab66a5824a72ff9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Bump version to 0.23.5

commit b46ea1e858bc5313d911e478ef0bf7fb3efe5c06
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix the release script to correctly send emails when notes have some "

commit 077390888bef669be941a690556c2337604a7194
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix POTFILES.in

commit df449f5be2b51706162053527ce729b1a7a6db65
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated with lates change

commit 141f5e14a91ad54c2b345e4f02fefd75365ad159
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    If InspectHandles fails print a debug message and return.

commit c982ff99b1a53282c40f0a5bf2b0b0eca59a50d9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not call g_array_free if the array is NULL

commit 396e863a5742634e093cad62d9fd782399fc6319
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix reviewer comments

commit 224a76a697b421b8da440534ddbae40fa2b2d8bf
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Correctly update the UI when listing state changes.

commit f0fa0ae19f9aeacab8598d2d966fe2b05b1d2afc
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix listing chatrooms with salut

commit c92b4e781bcc27daf6975b1452d41492d605f430
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Moved empathy-accounts-dialog from libempathy-gtk to src. (Jonny Lamb)

commit 4aafc9b3b0cacbf68865e725ecd7a9eba9c5068b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Bump ABI

commit 5e1a1d2b1ebdf7963cdb21c1df034e879822d48f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update NEWS

commit 8d9e2397ade783957d064b32ac14703db130fcdd
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update python binding

commit 99954c85ab0078fc60e08639e5845dec7b34b0d6
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Really fix the leak. Address is created using g_value_dup_boxed so it should be freed using g_boxed_free.

commit 74c555d78894b1091ed511f1638bfb56e36571a5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Release a variable with g_free() instead of tp_g_value_slice_free(). Fixes bug #542231 (Alban Crequy)

commit 7ac109de7ada03d620f30a6c06f61b5ff1392473
Merge: f662f41... 86be334...
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Merge branch 'leak'

commit 86be3343950ee6e18bb08022342517be0dc24a82
Author: Xavier Claessens <xclaesse@gmail.com>

    Fix coding style

commit f662f41125a49f23d7ea91bf0e1efadbd852a994
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix leaked accounts. mc_accounts_list ref all accounts.

commit e575acb2481e4c25305a0f8b17a8b8cd83a63861
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Reverse order of buttons on the dialog box to delete a contact (or a group). Fixes bug #542196 (Gaëtan Podevijn).

commit ff6d784c851c9f23db0dd547e8328e320157faef
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Useless to cast 2 times to the same class

commit 85ecca64f64080a0b19b94adc7a43a58d7844510
Author: aklapper <aklapper@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated de translation (Andre Klapper).

commit ce3822b90c8a898354c88f6d3e35076311a80269
Author: icq <icq@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Galician Translation.

commit c488bab8bae3418793c3dc95645c446cd0f47a52
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation (Jorge Gonzalez)

commit c3d4a28a30dd2345a4cd57b060b0d29d08bded0b
Author: Guillaume Desmottes <gdesmott@gnome.org>

    fix the channel-type leak in dispatch_channel_cb (Guillaume Desmottes)

commit e5ffafd8f1edb17071c427d1a15b990bc6d132e1
Author: Guillaume Desmottes <gdesmott@gnome.org>

    Fix GArray leak in empathy_tp_contact_factory_get_from_handles (Guillaume Desmottes)

commit d68404d438bcca42c0e74b393408f2681900dc99
Author: kmaraas <kmaraas@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Norwegian bokmål translation.

commit 552a8d22918f81985af50d7c353d8216e7f70213
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not popup the Save As menu if the contact has no avatar.

commit bea1b85ac78f8fd22022e21c8f1d7a35ae768120
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix some coding style

commit d5a8f167e4c92e01875a70f4c36864b64e81fd57
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    empath-contact: remove tabs (Guillaume Desmottes)

commit 04d4feeb5c7943a2a3a64a9dea3e3d3b298e7a92
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    empathy-contact-widget: remove tabs (Guillaume Desmottes)

commit 7af7a3b5c056d4309aad3a4a9dfbc0ad5b4fbb5d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    empathy-contact-widget: use gtk_image_menu_item_new_from_stock (Guillaume Desmottes)

commit fd2b74ad280ff97b83533daa68bf52640ac9b519
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    switch empathy-contact to Collabora coding style (Guillaume Desmottes)

commit 867cc8f594ea9ffb1c2064274db12b738e0589c1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    switch empathy-contact-widget to Collabora coding style (Guillaume Desmottes)

commit bbb5c52b5f26212a81eebe7719b34773b1615172
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    use SAVE_AS stock icon when saving the avatar (Guillaume Desmottes)

commit e3b8b1e551ef79d9a84e1fbe00ea72be272c138a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add an option to save avatar to disk. Fixes bug #541431 (Guillaume Desmottes)

commit b25b4632310c7fcd0c581383f77e2ce4664d79a7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Document empathy_avatar_save_to_file (Guillaume Desmottes)

commit 7088b612fd49c15999f76340556d06faf24cf0a5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    add empathy_avatar_save_to_file (Guillaume Desmottes)

commit 426ec950dea6f45add1a6c39a4262a88da26ca45
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add gitignore for de help translation

commit bd9392ef40798230f86f43b1d0198ddd110caeff
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Made the Close button the default widget in the contact edit dialog. (Jonny Lamb)

commit 9e80888fe1f549fb0746036652ffc4edaf78d4c7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Made account removal confirmation dialog modal. (Jonny Lamb)

commit c88563a04d0e36ee6e03d5f8c5df1a4a164a2f05
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Added support for the chat window to show the avatar as the icon. Fixes bug #526892 (Jonny Lamb)

commit 1fa4ff24ff51c9645e36880c244287f4000175e7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add some comments to the message queue code

commit 0bf023b7ce4b7acceeaeacd7cb2cec01d16ffcdf
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Before emitting a message make sure the ID is also ready. Fixes bug #540360.

commit 5d4dd1968639f12c49fcdbd25275631fd12b9f25
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make empathy_contact_equal NULL-safe for the contact ID and use the ^ operator to concat 2 hashs values instead of +.

commit fa1fdefc0f611b3619a67f6f6ce20923cbf58307
Author: pkerling <pkerling@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2008-07-05  Philipp Kerling  <k.philipp@gmail.com>

commit ea2619811f04eeb7faec5785f5c7b9faa2574dc9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix a gcc warning complaining about a var that could be used uninitialized

commit 0fa571dc1a989d59ccd3345b6d0b4211536d88a0
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation (Jorge Gonzalez)

commit ffd740f8459edafdfe6155441abf4a1514e88089
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix gtk_check_version usage, it returns NULL when version is OK.

commit 64de330d301a4b5b7b2b9208c005b366b207202e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Use function to check GTK+ version instead of mangling directly. Fixes bug #537249 (Ross Burton).

commit 543f8f3fd13e064c11099ff2d1a00a60b0cd540d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Prepend "mailto:" to urls containing a "@".

commit d4df72d084c94a948b26501daa9db48c9f4d763c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update default domains in profiles.

commit 7506d04b37db3f46f69d738a56bf8c46b422c893
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Unref profile and improve a bit default account domain code.

commit 7bbf1624e83a72685ca34c4aec46e04688995c9f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Automatically add default account domain where appropriate. Fixes bug #534425 (Jonny Lamb)

commit d7c566bf16a8265a29d6c858f0cbf89667cf64fd
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Select the bugged account upon a failed connection. Fixes bug #536984 (Jonny Lamb).

commit c4f40f9520864dc07fa7ea15da4a4d37c562ac81
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Set an smiley icon for the "Insert smiley" menu item.

commit 86940236952944a52feecae5a93426e1286da7e0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Set an icon for the spellcheck menu item

commit e6669652d00b9780bad7f25c198c5497f736b2db
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove useless empty lines in chat_input_populate_popup_cb.

commit 62a4d9c5b1a1035ddc8226ed1363054acd18df6e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Added Send menu item to the chat input menu. Fixes bug #532622 (Jonny Lamb).

commit 8d6e6536e87618d0e479240321515b2b1e15821e
Author: ymarcheg <ymarcheg@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Occitan translation

commit ac6d7e8e18579d3dcfdcc6a913e7d91484f84513
Author: kmaraas <kmaraas@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Norwegian bokmål translation.

commit 9170a81f49341bc68a38ab648eba114fd4f1e658
Author: dnylande <dnylande@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated sv translation (<Daniel Nylander>).

commit 7f18dc93df1dc7760948a05c9d2bb825d7febf18
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation (Jorge Gonzalez)

commit 8ed913bcb03e99eb2f79da7d29d9f2994568e7b7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix coding style

commit 55be692328a5e7d6157f744ca8806e13d32aadbe
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    "ready & EMPATHY_CONTACT_READY_NAME" instead of ready | EMPATHY_CONTACT_READY_NAME

commit 988158307726d1c2b1296f0e96f363ca5aac75c7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix coding style

commit 5123735401e6890933abd872a73f906ed914df0d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Move contact_set_ready_flag() in _set_name() and _set_handle().

commit 4de8b1fb1bed8d3150a5655b5d1eaa88e3329478
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix the bug "Incoming call from (null)" (Alban Crequy)

commit 9115417b7b367196450e89d23957e869a5993e54
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    don't set the flag to ready if we are not yet ready, especially when we send a glib signal meanwhile, letting the opportunity to enter in the mainloop

commit c4d92ccfee91eb70ef64ac8702a34b02c2b7cb81
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add .gitignore for french translation

commit 89cbb5468b077fd72ec0c8f1dccb090e0622beee
Author: aklapper <aklapper@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated de translation.

commit 51cad3055659b002fb3141ce92f173dfcc87babc
Author: clyties <clyties@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated vi translation (Clytie Siddall)

commit 403703e3f5fa0f87fd4c796a8b09c155ad860d29
Author: nshmyrev <nshmyrev@4ee84921-47dd-4033-b63a-18d7a039a3e4>

        ru.po: Updated Russian translation by Il'ya Mertsalov.

commit 95dfcf2b17b62d77e939e901003ab62418af08b8
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation (Jorge Gonzalez)

commit ed32e3692a707268fe9c0bdfff6b889e4e5b2502
Author: claudep <claudep@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Added fr translation, completed DOC_FIGURES in Makefile.am

commit 76fc4da0f3a8e93dd48d07ef24df862c4f907c8e
Author: claudep <claudep@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated fr translation.

commit feb7000b96624250523e0ca8490fe46f4fc337c9
Author: icq <icq@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Galician Translation.

commit 6e641b1c04ad087484acabcf3f70b82e8bc530b3
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Coding style (Alban Crequy)

commit 4aae85a2fad0b0b381a55006909e60aa82a49efe
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    g_object_unref the right variable (Alban Crequy)

commit 6b658ff7c7bef5cce18cb85135571ac5c1032f4a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add g_return_val_if_fail (Alban Crequy)

commit b88069bb757dd8d1da811bdc6d2411b65b0ad529
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not include _gen/ files (Alban Crequy)

commit 387ed7f439ee962b956e398cb5c36f3aeadbb72d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Replace the has-dtmf property by empathy_tp_call_has_dtmf() (Alban Crequy)

commit 5282d3ac3eb46c37cf87998c6140b72ed42f64dd
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix identation (Alban Crequy)

commit b293b937c62b9c067f357e5d2529163deb400f47
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    g_object_unref after g_object_get (Alban Crequy)

commit 24902d9f75bfe9aad3e87db9d08620c2cb0e217f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not show the keypad when the media channel does not have the DTMF interface (Alban Crequy)

commit bfb8256258a6a73ff25cc421806b7d99f156784c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Better dialog message when a call is rejected (Alban Crequy)

commit 7f5ed39202218acf13986a2faf9606b3ab0f52bb
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Check if there is a publish/subscribe list before adding/removing contacts from them. Fixes bug #537690.

commit 5754ed0efb340ba1e5115bf0838250c8a5d87483
Author: djihed <djihed@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Arabic Translation by Abou Manal.

commit 8eec6cfc8a1014c7b907edb390b4906d85f555f8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Use empathy.foo() instead of empathy_foo() for functions binding

commit f36a7da1001c067fb1ddc3d998cdcc270ce16bd4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Python binding for empathy_dispatcher_chat_with_contact_id: Take the
    account id instead of the McAccount object since there is no binding for
    libmissioncontrol-client.

commit a238f195000725e15e4be3d1b0dc219b1b128c0b
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation

commit c34463e878e9a4632fa7569f0c5ba601fe8af9db
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation and uploaded figures

commit b2f4503883e510d9b6608a2c6749ba6049694dff
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    EmpathyCallWindow: Get a new video preview when pushing a new call into the window. (Sjoerd Simons).

commit 0d5baca9605d9142eb1d80d2fbc598fe1ff24a93
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Set position/size of chat window only when adding the first chat. Fixes bug #536391 (Ross Burton).

commit 7a846e45a65670e9afb7daa6ab0385e2e5d07303
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add -Wformat and and fix some compile warnings with gcc 4.3. Fixes bug #537129 (Cosimo Cecchi).

commit 291aec4f3f1bfae889e9e727d0d4af3f63d32315
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Close contact list when Escape is pressed. Fixes bug #536628 (Ross Burton).

commit 9be6bd65490b1684fd36b021a8dbb9dfad9ce1ba
Author: kmaraas <kmaraas@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Norwegian bokmål translation

commit f98a4337ae3a47900e0486dce9079d3bccdd7895
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation (Jorge Gonzalez)

commit e76780004f08049a38389df0d970c4e920cd4682
Author: icq <icq@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Galician Translation.

commit 864b1c92be77c6515a7bad8aed40d3b83fe8a158
Author: clyties <clyties@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated vi translation (Clytie Siddall)

commit caafd5018e041c46c45ca68a4844060345e07ce9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a command line option to hide contact list on startup. Fixes bug #535080 (Marco Pesenti Gritti).

commit 6f31cfb4107da907922d94e75ba575e3b124629f
Author: icq <icq@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Galician Translation.

commit f16348de0dd609279f0c2e8c351ad29c1e5b2bce
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Bump version

commit 5b57f351129d9e7f60e19e96a41125ad9c4375d1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix sending emails from release script

commit 299eefb1ab08e90d84c9a0eabc071e0483465c15
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Prepare for release

commit a253c5a57d41cde6aded5a83979e59f883bf64cc
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Send announce emails from release script

commit 691f648d2ac28e60000c24f8fedb9ef5c88a8c6a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Only display tooltip on the contact list if running with GTK >= 2.12.10.

commit eedbc2a78ada6f5ecf9fdd769faf809262e05b92
Author: clyties <clyties@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated vi translation (Clytie Siddall)

commit 78f54860e11fdd07f2d484d45ae1fd5231009a0d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Typo in a title

commit 78df83e2ad81904e597c8fdc3659ebedc100ea4a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Wrote Accounts section (still need some work), added Contacts section and starded working on it, some corrections

commit eb3e0a823cec88eb2ce730b704422add655dc21a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Added two figures for the documentation

commit dfcbf7e145041d02a989b4873fcf1ea254a926e0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Small advance on the documentation

commit bfdf68c39731270d4bf4b1bebd0ed25a668645a3
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not ref tooltip_widget otherwise it never gets destroyed.

commit b37d44c090e66fb038a0a0da6705c175860cf5f1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    gtk_widget_set_has_tooltip can't take a value >1 even if it's still TRUE

commit a887241d17b8226a425be7c8c4d4d2ce2c34d5d0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Set a tooltip on contact list view showing EmpathyContactWidget information

commit 871bf1004956cbaf432d10241ccfa09626d3da90
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation (Jorge Gonzalez)

commit 7083c93b39f0a096898bc4d763ea35956f4c0c0d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not warning if we try to load the avatar of a contact that does not yet have its id.

commit 2087773d913ba19b9bb0c847d72383a29803253e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Move avatar cache to ~/.cache and don't mix avatar from different contacts, tokens are not garanteed to be different.

commit 82dff1d06147badb85aa4d2c7a163fa92333026d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    empathy_proxy_hash and _equal can be used only with proxies that unsure unique bus name.

commit c7df926c8d672a68905b8538546b2ab689b0edeb
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Only permit to have one running call at any time. Fixes bug #527970.

commit a634ff8b92f83fbad55d85c4b14357a1233c1be5
Author: aihana <aihana@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated ja translation (Takeshi AIHANA).

commit 631cbdc3db39cf7f55e7687a7984bf16e735c2ce
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add CLOEXEC flag on BaconMessageConnection FD. Fixes bug #533840.

commit 59aaf96bdbdcaf4f3e1dd63ae61677742962d455
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update BaconMessageConnection from libbacon SVN

commit a84a29636d3a53b24322533291f9006f19c9d606
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix warning in status icon

commit 34fad16eb18d7b88c43aaf34912682446172b7bd
Author: kmaraas <kmaraas@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Norwegian bokmål translation.

commit 82e48e35888251dd8185f14a9ca55a49aa0f06cc
Author: djihed <djihed@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Arabic Translation by Abou Manal.

commit a74060ea31c6e8962e5f744b837647b1f976525c
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation (Jorge Gonzalez)

commit e35070dd96e1c5c17f29f135771925d4d7fba027
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Emit "send-error" signal if Send() call fails

commit 3fbee662dbce6f75e85c39e3dd45019d30cda17e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not add a separator on the contact menu if there is no remove feature.

commit 7dc9bc3bd9eeac83bbe439903869e645c7618464
Author: claudep <claudep@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated French translation

commit 050f671f8aca9b319e34237b4b0260715bde07f9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Schema short description improved. Fixes bug #533541 (Claude Paroz).

commit 1ae4066f23794cdd13ba882ca33cf8cd97da3e0c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add help button on accounts dialog. Fixes bug #533732 (Milo Casagrande).

commit 4d19dd3a027062741304f7e161482c42d8b63bb0
Author: djihed <djihed@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Arabic Translation by Abou Manal.

commit 25691c595aab3825fa805c810ebb33877ddbe1ec
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not use statis pointer for MenuPopupData because it get freed.

commit c157c77aa25f7de6efddac8ae1463cfa0bca549c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    No need of an idle callback forkey m

commit ff7529feca403c8d052280a9fdc9a9480e7adcd2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Little cleanup

commit 027f21a100093fb92f77de8853b54bd0ffca8684
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Popup context menu when menu key is pressed. Fixes bug #531414 (Baptiste Mille-Mathias).

commit bd3c27a88cfd62c59017471b01dd9489f3b9145a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Improve dispatcher. Fixes bug #465928.

commit 6c8bafb6326010a1d3fa87b30ede4c20655b95f9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Bump version

commit 3d4f5163f1971e720590d77b25155329b871335d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Prepare for release

commit d688a251ce71df196babb118a5e252e390e5d23b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Request publish and subscribe lists instead of waiting for CM to create them.

commit c14dd88ad3525db3e264f80015845d6d8a113628
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Use tp_connection_call_when_ready

commit 71159c6581d6990f2dd488830be870d26546c0db
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove useless files from POTFILES.in

commit 797880ca720af235c36cd6e2297209e81f0897e4
Author: icq <icq@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Galician Translation and POTFILES.in

commit 919fa6c1c5330bca818d624077a3376817795166
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    sync totem-subtitle-encoding.c with totem as the file was properly relicensed (Guillaume Desmottes)

commit bc1087db6189f443044f4f88f9b412309db76584
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a func to activate any event

commit ecfbb29c579f6db66044570c0517e8fb04a9f1e2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not unref tp_chat directly in the message_received callback to avoid a crash.

commit 4e805529866da2f0e7b6c900b54e2ec886441d80
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Don't leak queued messages if EmpathyTpChat gets finalized.

commit ac4d55252d66d4cb1b86aa6866a82981e47c0d9f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update python binding

commit 13a25b7b6e538f63bc90d8df1f4fb83b4158fc49
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add EmpathyDispatcher to API doc.

commit 6c4a305c6e52d3ec78056e4bde6b00996f14803f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Move non-gtk parts of EmpathyFilter to EmpathyDispatcher in libempathy, gtk parts are now in EmpathyStatusIcon

commit af81d6fe3972be880a2d7babd0c5456a9db32463
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make _get_invitation more reliable

commit b13ab1285d0b748fa13c20a99b9a55cdfb180df2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Include empathy-contact-list.h

commit 2a9ee89bd1e713d748537a8d6a6a0f9e7d5fcb10
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Avoid calling ListPendingMessage if it's already running.

commit dd5f0a2f29b10052287ead542e04c5bbfb45f87d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Ref the call object when emiting notify signals because signal handles could unref it

commit ec16a10c802f7141828bf0c8e851770894637f0a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not try to remove duplicate backlog from archives and server. Fixes bug #523918.

commit 10d1be02bd42bd6c9933c0fc69d1623d673b7a72
Author: pmkovar <pmkovar@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated cs translation (Lucas Lommer).

commit e98923acc5f6b9a0b139e886a544c9b56a3d7a3b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    More duplicate includes of empathy-debug.h

commit b7fca105603df124bfeaffce873ebc8acc900ca9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not include empathy-debug.h twice

commit 92fcdfc95114dbc9e60c5deefd4eb1f09cac7ca5
Author: kmaraas <kmaraas@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Norwegian bokmål translation.

commit 3fbbe2e4e723441cd0e64ea6c4d9686d7288fbf3
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix doc for changes of EmpathyMessage

commit 1b89f384d5807689c43fee10c029ff76dc14b3f4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Keep a priv pointer in the object struct instead of using G_TYPE_INSTANCE_GET_PRIVATE all the time.

commit 9d71fd93cfbce01cfcaf074f3cf004abef504404
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    If self presence message is "" do like if it was NULL.

commit 8c3af9ead15bc31fb61911fe9d2752cfc1f34374
Author: yairhr <yairhr@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    updated he translation

commit 0d4982846e6d816d14e431384fad89daf3a5b56c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Avoid copying chat list in chat_window_delete_event_cb.

commit 8028f0d11afa2d0d3e6b056e324c60b08e43699d
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation (Jorge Gonzalez)

commit c4dcd6eef69c07650d7a54be092d10d52009ab9f
Author: mateju <mateju@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Slovenian translation

commit 7374ee6628e64b106ad9a642c383232c56e8c19d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not request video stream until the user click on the 'send video' box.

commit cfe137907aa0a7ea2e45a18c1dc20a86b0501a49
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix build with debug disabled.

commit 3ab411d025f57792de92f087c4559bef23e29a2d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix unused var if debug is disabled.

commit d7cf0a3344c8f6a523759c538c55558c8bd32e79
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove useless g_print and enable tp-glib debug messages.

commit 06a82e8b97e9cf0024bf7e6c7493f18839aef6e9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Keypad is unsensitive if the call is not ACCEPTED

commit 83c28454a8055c0a7370f770857e53b8574c9a73
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Implement DTMF.

commit 7275dfbd330d5d3a3cd49d487996b787ba25b145
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add keypad to the call window glade.

commit 6a7c384dc6109f9bc5bf68703a325e77c8ebed19
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix packing of the preview video.

commit d67fbb76e66e25d1e9ced214e596363f677bee83
Author: mateju <mateju@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Slovenian translation

commit b43a5b24ea6ccea0cfb52568d511ff05b02ff0ef
Author: mateju <mateju@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Slovenian translation

commit 856c237cb5843cc34003679f2334b2609ff751b3
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make use of tp-glib debug system.

commit 95c722f5a624cc2787ee039a33bf202fa1c43ec8
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation (Jorge Gonzalez)

commit 36075a811fe53dc65d2803e73f0daaa4c2edde1c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a confirmation dialog to accept/reject incoming calls. Do not show remote video area if there is no video stream.

commit 3d4e64c948cf0c79be7f3e584d866a067e2829e4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix type: s/hand up/hang up/

commit fdd37eb74070875820231f92caf7564ab2a7debe
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix stock ids marked for translation. Fixes bug #530090 (Gabor Kelemen).

commit c41cff5615c8375c0542d167f53bf727aa25e182
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Reword call window: Use GtkVolumeButton, only one button to accept/reject calls, let s-e add black borders to keep good video ration.

commit a337e3f95f7f498f933a752c30931c96a7e872b0
Author: mateju <mateju@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Slovenian translation

commit b64ea2299fd115f6c0ae3b37cd2a032cab21778b
Author: mateju <mateju@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Slovenian translation

commit 87b7e5cd3dbbcfcb66e4ce01089370baa29b790c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add missing file

commit 0830df966449afcbe4182cf6666e81ede107a40a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Hide contact list when text channel is destroyed.

commit c96485bf0c50ed8f0e5de6b48e6a0fa7504fd033
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation (Jorge Gonzalez)

commit 7709cd35b001d0e1cb216f9c8630ea1f53fa9962
Author: mateju <mateju@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Slovenian translation

commit 019acf491cffa580e9f17cb3f2828a490702d8d0
Author: baptistem <baptistem@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Correct string hyphenation. Fix bug #529436 (Baptiste Mille-Mathias).

commit 37dab7fb118bd59ad26dbf50c595ab1867973d55
Author: baptistem <baptistem@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Correct spacing in some strings. Fix bug #529437 (Baptiste Mille-Mathias).

commit 4d98f58f8d7ba18e5b4e1d6d86a75ff78885b2f5
Author: baptistem <baptistem@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Correct capitalisation. Fix bug #529439 (Baptiste Mille-Mathias).

commit fefc673469c72872309482e5d3cd9c0628d9c3ae
Author: kelemeng <kelemeng@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated hu translation

commit f0ef2de60d87b0869678ea0e2b4ac22b204dffa3
Author: kelemeng <kelemeng@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated hu translation

commit e8c5b6ca3d3dc4e05c76c089403774b3cf2f7064
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation (Jorge Gonzalez)

commit 69a3c2724807a39963e95cfa4e5e3f36e23aea88
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Improve the close warning message. (Elliot Fairweather).

commit 6cc10abdfdcca525dcce19db431ad1321c0affbf
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not give a struct as a parameter by value. (Alban Crequy).

commit 6179b8082e9a3a9891bc2fa0778d4e6f9f2e32fa
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Create contact menu in empathy-contact-menu.h

commit 0e99fdf4c3b5e8e047396821a9934028feb93503
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Setup contact submenu in chat window.

commit a3e06d3924b8f48014fc8b06933538d059e9fde2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Simplify input resize

commit 3ccea5031a8ab93360cb7bafd79d040ee3d6e117
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove useless declarations

commit d551de3e9c4610cad056f7a75b27d4abd7ba493e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not create the contact list if it's not displayed.

commit ff62692e20c97ed73e1266bb1a30a16f470169fa
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Reorder functions to not have to declare them on top.

commit 4a7bb5043de963ca0e96a83297e61911b22700f7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Move contact menu code to its own module.

commit aab50f0a5bcb3c06b4ac8f95dcf65cc3ddd0b7b5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Bump tp-glib version required to 0.7.6. Fixes bug #529651.

commit 2babb712d8ca4b84ea519131f044136b41fa6034
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove conditional build of VOIP.

commit f41146f5f08c462cd9354a68ebcfb4af3888cf67
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Comply to HIG guidelines. Fixes bug #526926 (Elliot Fairweather, Xavier Claessens)

commit ad56510237fe5193d455ba450c1e2c5b26c6a118
Author: dnylande <dnylande@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated sv translation (Daniel Nylander)

commit e320745f8bd726737d2cdf8a14da034e04a9dd89
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add man page for empathy and empathy-accounts. Fixes bug #529552 (Simon McVittie).

commit dc3198dd7b9b46c9507e143b0cc52f48d9266636
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix some warnings with roomlist

commit 5225a1571d6f94447a4a51815b8d24c01d14d1a0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not apply different theme to chat and chatrooms

commit 9b3b0a2189f21df25a8d01980c4b01d752d7064a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make sure we don't assume Text channel's handle_type is != NONE.

commit d8692bf3717d0ec5a5e1c4bd28dd707edbca4260
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Cleanup the spell code.

commit 99d403b2a0c61f5bbe468e2d70de38fac5077dda
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Use enchant instead of aspell. Fixes bug #460624 (Frederic Peters).

commit 8d0a14ca895ddb5f388273dfe8518a617fac393f
Author: pwithnall <pwithnall@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated en_GB translation (Philip Withnall).

commit 79d85d80525a1c9caaac4cbd49b34a6dd7687f44
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add support for apt:// URLS. Fixes bug #529049 (Gaëtan Podevijn).

commit 236167b2b88e8bdd49bf5840c1cc1a8efe158141
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add tube API documentation.

commit bea2069872d3ddd9a9ab71708fdd993fc3e0a984
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Bump version to 0.23.2

commit 9cdf736a0d082cd37f6ff17c64b16d179a34f05e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix warning when changing send video button before accepting the call.

commit 5693c0af6e90c6d380db6bfd1432240b23af5d70
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Partly fix INCOMING calls

commit ae5d565ee8b7457915a08944e446d7d5ac4a6b2b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix OUTGOING calls

commit 916f55f91d0ec072ccf9d934d7f4f442b503c660
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    If window->call is NULL consider the call as CLOSED

commit e309a8b6cf78738e5d01720166e5221afdffa84a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove duplicate define in header.

commit 3e1d8f88154e222ef66e42dc61530fbb45d21098
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update NEWS with changes in 0.23.1

commit ce897ec23e94708b9cc12a8f746cba2d38e472ff
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Bump ABI

commit 23fe052538b2a6c8b235335c15ea805d8e4ed4c9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not install schemas in distcheck

commit f24d2fa478710041f23f9dd67ae50e2e6e8e2f11
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Don't resize the window when a contact list appear if it's already big enough.

commit 33988c3c94a292b6a54dfff52eac2e3d1c511e54
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Never set the remote_contact for named rooms, do not pretend it's a p2p chat when on a muc with only one other contact.

commit 1f4cd4f8077ba939917496c7fe7c95604995223b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add files to gitignore for help translations

commit bde9fd0d6c2fa922f52ab8f048929f96039fa4be
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Rework the way chat window is resized when the contact list appear/disappear. Fixes bug #528229.

commit 47fd925cea6e945dd41398fcb8d7bcbd289e4f8f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not crash on if ListChannels fails

commit fa1cc9e4edbd5d1a7f9ce679d6a39684a309ad1c
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation (Jorge Gonzalez)

commit b05c8156d461b0b13af179c4eb23e9e94dfc1d34
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not use service tube param as it can be anything with DTube. If the tube handler is already running give the tube without blinking the status icon.

commit 6c4d894e600d4c4a5d880e36df4b70a521295a5a
Author: fpeters <fpeters@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    initialize connection_status

commit 3355eafa37fa23ea6a420c25c28bbb2a87237d6f
Author: fpeters <fpeters@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    keep track of connected status to disable menu item for "new conversation"
    under the notification area icon.  Fixes: #517300.  (Frederic Peters)

commit a25e30d2f03b05821c9b86053f0cdf02a95ec40e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not ask confirmation in empathy, that's the handler's responsability. Just display a warning if the handler is not found.

commit 489a231d509f364911a7f1355db16587d4bf9057
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation (Jorge Gonzalez)

commit c0edd6a198532fcd7c2850677d1bfa792e88643a
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Added Spanish translation

commit 8dee26c637a241c600e890c5b7da86777935131c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Change message dialog type if the app is not installed

commit bbc492af3e8c36a321fc2773da45f44de9d7c5ae
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Ask user confirmation before dispatching an incoming tube

commit 2013917b4f6c6fb763460e4a656c3d89c8e69ddc
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add missing file to POTFILES

commit ed7e6bb59a547acceb2f43a9ffc04862eb6b7869
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not unref account from empathy_contact_get_account()

commit 5fca7b5191004b69a30fc891db3da8c3a631b907
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Display error message when cannot create salut account.

commit 8fa3d91653255af6cb5cfdb4537691fc4dff6564
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Added introduction and started the Getting Started section

commit f502401d44622d98623c882896957c11e7d800d8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add needed empathy.omf.in and set Milo Casagrande as maintainer. seriesid generated using scrollkeeper-gen-seriesid.

commit 76af11e64a20ec88951f5537bfcda584a03ef8b2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add build system for help manual

commit 9f54e2c8cf16db3c97773e1cee66ca67017d83cd
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make possible to show "ghelp:" URIs and display a dialog in case of error in empathy_url_show. Use that to show empathy's doc.

commit ee1716863efc861427b701afc856557113ce2c4b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Initial set up of the documentation

commit c23557b3342c16974001ece81aad6b23894d5153
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Don't forget to give an initial value to GValue.

commit bbc905c342baab5519ba21a59d72488bdab8ab08
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Advertise VoIP capabilities and disable VoIP if it's disabled at build time.

commit bbdd14446c86deab607622c92b8a4579efb388f2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove deleted file from doc and python binding.

commit d2e6d9a92615554a7952e7b53e9d4e05a98bfb0a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update python binding

commit f7cac77d38da16a54b0042fb66f1d597a5c5ff7f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add new file

commit 8a06c9c2b8ce39be61029ca1bce8ec9883c0f61d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix litle bug in dispatcher

commit e2fd07bf297e1ee89cd9d4a73cadae428c233d4a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Move tube chandler to EmpathyFilter

commit 056e879bdd264c42df4b128e10d9c1aeb901daa3
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Some code cleanup

commit 7463fba3a25eca6b2219f94a64244a4e5357a90a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Call ListTubes in EmpathyTpTube's constructor to avoid races

commit b51bd30be80d0d931b58bbfd2b201a1ee2c842a0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update python binding

commit f94eb5c571016ed3cd6285682efebab761f2319f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Change the way tube handler's object-path and bus-name are build.

commit 550ca2b42575679a2c1d02b67ad189e715f360d2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Quit the tubes chandler when there is no more handled channels

commit 212028f32f20f6a4c180de768b038cf3d05ee6ad
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make a more generic API for different socket types

commit abfae3d51ffdbf84fa95f4236f0f93c245925dfa
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Rename empathy_offer_ipv4_stream_tube() to empathy_tp_tube_new_ipv4_stream_tube() and return the new EmpathyTpTube object.

commit d466c3321c2b249fa5b6a35f2d43bda53d399a29
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add empathy_offer_ipv4_stream_tube().

commit c6ba2cf9080dffb5b3c86280cd8ecc76dc6743c8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Port the tubes chandler to the new API and cleanup the code.

commit 4eabc0582d70859a92c944ad1113d8f933eca972
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Rename EmpathyTube to EmpathyTpTube and remove EmpathyTubes.

commit ed1acc72d179e5cc12b46ef78678ecc023c30698
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Replace channel closed signal with invalidated signal

commit a28148cf017585cb876780863602788054b23991
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Little coding stype changes

commit 467aadf4f6fc4a7bcea5dafd86beee8a7b9d2379
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Build empathy-tubes-chandler

commit 47aa7289d6c990eda12737b8a150721cfe02fd6b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove useless commented code

commit cb980d3486fda0da92f4bc2ed879fccc20752afe
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add tubes handler

commit b537b7c0186c489ba5354ce03f516bc440403ec3
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add tubes, tube and tube handler objects

commit 97b25143dc8a9206c61cb2ea9b9719bf6f61652c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add new tube handling interface

commit 49ad3bcedef1d7f14ae119bf3780fe3cfc83e76d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Already open channels are considered OUTGOING.

commit 23a927d419836010850ab4197d3741cbc01dea95
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make sure to not set a NULL title on the window.

commit 50235a03b2055094cae96938debbe5380e9bb6ec
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add event when a contact is local pending of a publish channel

commit 00eff5e6a5f873888d462bc49c54c2ed5976d80a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Drop Chandler and Filter, do not use MC for dispatching channels, do it ourself.

commit ccc1ce1f26b2ce4adda0d83b38f9717d4c4c5c84
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix acknoledge of messages

commit 7e6a13d3b3f30b55714740313cdbb939767d9fa0
Author: fpeters <fpeters@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Added a --no-connect option.  Fixes: #526208.  (Frederic Peters)

commit df918f642523d8db6808460706c12d90adaeb9e7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Hide password from debug messages.

commit 85449749624fab1b5d514faa2b7df022c25ab7bf
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update release script to take actions in command line options

commit 977061731930c10a21802668e298224ca14fcefd
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Always set urgency hint on p2p chat windows when receiving a message.

commit 178407588257dd95f9aded7a8f071e5c22002b87
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated es translation <Jorge Gonzalez>

commit 54344a3b50594c228ace810b30de5a8b8fd9cf6f
Author: fpeters <fpeters@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Marked strings for translation.  Fixes bug #528596 (Frederic Peters)

commit 26cba1ae01223d60de08e5920ec0a68f5641ff67
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Escape text in strings using Pango markup. Fixes bug #528529 (Frederic Peters).

commit 433d1138b3a72cfb23b16287907d7bc33abe1ad0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Redirect debug messages after printing help. Fixes bug #528542 (Frederic Peters).

commit c3092f8b8f7a72afe2c17823083493b108795a3b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    glade property for i18n comments in "comments" and not "comment"

commit c97f8aa8cf246202e9c1c94f02b399bef90b2779
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix crash in DND of chat tab.

commit 4fb72d2366ea2c6796db7957ddd02fcf2d6b45a3
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a contact in the roster as soon as it has a name, don't wait for the ID. Fixes bug #528287.

commit 5753845cf7bfaf419f3ac92a0734123ec2819ec4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Mute input/output if the button is not active.

commit 190f3f5df2c1ba24786cdb0a8d729cf3fac7a89b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not expand mute input/output button in the call window.

commit 68dfee0c7db768f32a33bab2203ed28ee6a154ae
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    If the RequestAliases fails, make sure the name property on all contacts becomes ready to avoid waiting infinitely.

commit eea9a3f413af1a2a55276590b286674dfbad38e0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    stun-server and stun-port sensibility is the opposit: They are sensitive if discover-stun is disabled.

commit 5d5976d904b567228a69cbd0cbd29bf9e57d629a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove most SIP settings since they are impossible to understand.

commit 9dce87d6dc622b8993344d314172f84b89a1979c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add/Remove preview window can be done at anytime, the call don't have to be running.

commit df400b72bbc3caa2c76d2b83fd4d155d8d212b67
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Simplify SIP account config UI. Fixes bug #527452 (Frederic Peters).

commit 9780a8c7e9f359a529546caa99dd7fd9fb01ad86
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add collabora in copyright and myself in authors since I did lots of changes in that module.

commit e55163aa38c477ce978604eecf131e6a0afc065b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update copyright year in .h too, it was done in .c only.

commit e197c3c21f00a3e18c3d733863c8503f2ff46147
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Get the chat ID only if the handle and handle_type are != 0. Get the remote_contact from the channel's handle if it's of type CONTACT.

commit 76991e8e501f25daaf4b73e2e9a6f182ac8ca1e6
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Request audio and video streams if capabilities are unknown.

commit 2d613b5d1f50b6ac9496704e7068e040f6d0732b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    fix bug #526374.

commit a82f1fe7911ff2391debb154537dc1bb8113c598
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix bug #525084.

commit f924b8415e6dd15999896fe12bba28d297f8c055
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix bug #526145.

commit 83fa11fa98169f27a9ed03643c10d1680729930a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Show/Hide contact list if we have/haven't a remote_contact.

commit 91fa06947f4fdf2ae7f91917b37fec733cc9b1f9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Code cleanup

commit 531ced20b69365eff0974a13ea964ee23181761c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Various fixes for chats

commit 9d06602e071eaa5ce843cad3259352578ac63a6f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Set "remote-contact" property even if there is a group interface.

commit c4ec2add2e541a219b201120e706f4746996b738
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add nothere files to gitignore.

commit cf05a9833e9c94ae60252fb2557d786a17f459d0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix icon lookup in nothere. Fixes bug #527924 (Frederic Peters).

commit fb749157dcbc5ea37c6607c11c9ce45208aaddbf
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make possible to remove nothere applet from planel and activate it by defaut if dep are met. Fixes bug #489978 (Frederic Peters).

commit 8ae70996cd404cd2555dd79a108e168c790b0d9a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    "registrar" misspelled Fixes bug #527876 (Frederic Peters).

commit e6677989eac4ab72c7b5aced2f1baf02ae5b794d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix disconnection of AccountStatusChanged signal.

commit 005f4987dafca7bb3ad57d68a288b5c712a1c474
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix crash crash when opening a chat with the keyboard Fixes bug #527713 (Frederic Peters).

commit ab3a9c82e6d4ab3524ac94a1a1171df56dca7928
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation (Jorge Gonzalez)

commit 7b210e4de01293ecdbb631daaa7cc19e201cfbaa
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add some comments for translators. Fixes bug #496309 (Andre Klapper).

commit a05bba92e34ab57a9b00bd02819f3b645d069372
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not autostart with session. Fixes bug #525039 (Frederic Peters).

commit fe94aa73db3a4909116d8788aaee224290a18314
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Hide sound preference since it's not supported yet. Fixes bug #479697 (Frederic Peters).

commit a9552de538f155ee0a036ab6b9ba6c37cc1cd5d1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix some warnings

commit 03c035b9794e16ea4411a2ecba216446ce20b504
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Better call dialog. Fixes bug #527454 (Naba Kumar).

commit 4ab9c90003219a304444dcc7d80ed545d1672e98
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove deleted file from the makefile

commit 304f6e5f378a609633eb25ae46b6b2540b172fc4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Use audio-input-microphone for the mic image

commit 00bb09020192805d8766eaa7c1bf8455f4d8d822
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    We can't use *_run_* API from dbus signal cb or method implementation. To avoid problems move the code to a  g_idle cb.

commit 8d3d9356d47365351d10b005ba3be4db8db0dcac
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not add signal "process", it's added in generated code

commit 9e16fb3be404fc2e88201359073ab68d32199f76
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Use generated API in EmpathyChandler

commit 7378db677933941fa81d1f502bd62b31822d1060
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make use of generated API for EmpathyFilter

commit ffa88a2cd1f490b2e29f14257d10d473d3a277b2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add Chandler and Filter interfaces

commit e28224d0ac04173ef94b8e5714b0d55a780c75d6
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update extensions dir based on the example in tp-glib

commit fc5ba800fc4ef3f377e46663bdefa039e7054aca
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update tools/.gitignore

commit cdcafcbc7086740a60f1f326d67fd5f7d8435f7c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update tools from tp-glib 0.7.6

commit c9c5da11efffce114f6be14a157e475bdded1560
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    TpChannel is not a DBusGProxy

commit 3adedc18fce10741f4422ebae5a96df9d9f52e6d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix a warning

commit bfff21540c9a650d898af6db4aec0d1cc50f3588
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update POTFILES.in

commit c3eb694123bbe33c2d652291af02d1f9b32d4ac4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update python binding

commit 167be69f90a29554e0f00c43a4f31facb56589c4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove libtelepathy dep.

commit 3a5a3d04278c0c07573208d4a9ac95872b45451a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove unused includes

commit 853040ab0aa203e7c3452478ac01547e538ba164
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update for new API and cleanup the code.

commit 863538d5ca7615e2cf4f557926a5bf517aac1fcc
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update for new API

commit 355f26e012b221a1cd879c8d059a01068ef51dc7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove empathy_inspect_* and add empathy_channel_get_account

commit 700c94d68136fe90f963788311728aaad998b882
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not take McAccount as construct param, it can be found from the TpChannel

commit 37a6d9ccfe336f67038ee168967710fbe6808375
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Port EmpathyTpRoomlist to tp-glib API

commit 95f04a4159eb90f55c23b9a51f925101e3241d03
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add empathy_tp_group_get_invitation

commit b77311c355b5edd4aa853fa30b14d592968d0aed
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Chandler and Filter only dispatch ready TpChannel

commit c8c2fca9f306ddaa551724b7c15f0b5e5f1d0b0c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update for new API

commit 3ea0d16987c7e535ab9ab6678f1d10cd11b31305
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Port to tp-glib API and cleanup the code

commit 63f50b47853bd3e87974d96eb35eab26064f4b12
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Disconnect invalidated signal before unref the connection.

commit d133c75df858bf169c3f706ffaf6a6823459c509
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove all references to TpChan in EmpathyTpGroup

commit 85e309664512954746cdaff1edb2489a71bc6e55
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Port EmpathyTpContactList to tp-glib API

commit 2c237cb8e041d7eb278ac738402e0d6a8d9da454
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Use tp-glib API in empathy_call_with_contact

commit fbb5d9571093e4d27153b8f57916fb8d1e44ed10
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Completely remove TpConn and TpChan

commit 726f2af54f27071feb4b987ec0a655ab6d625855
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix get_property('ready') on EmpathyTpChat and EmpathyTpGroup (Alban Crequy).

commit 44a38726a88007bde5e7cca4c68e5230d321310e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make use of empathy_run_until_ready_full

commit b435dc05f9be370bac5439acb96dd4a64bfbbc1e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add empathy_run_until_read[_full] functions

commit de0a75aacc7ddc8bafbf7c90378a96a5debcc110
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Wait for the TpGroup to be ready before using it

commit 72d591677a881822abbe12fd05b962b2cdac938b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Uncommend the use of empathy_contact_run_until_ready, it works now

commit b93a2aa5928e43f37dd9b117a758b533998f77ae
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Use tp-glib client API

commit a44adb30aac2816a1b538d7e1f22e9986a6210b0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make use of mission_control_get_tpconnection()

commit 4cd1d60fc72b444446fb368b40bc234049accb14
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add new program to gitignore

commit b330806bb359c87fcc323c1c765d1a5f7dcdb613
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Change this test to be a bit more real-live

commit d7306eed42f94ec2d5f3728d8574a78937132520
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a 2nd test for empathy_contact_run_until_ready(). This tests fails.

commit 6d9bc20fd170540ca701c826f07d38bc70303e9e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Use tp-glib API in EmpathyTpGroup and add a ready property

commit 49a9c04354e4ede70a888c0498bc995e857a42c2
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation (Jorge Gonzalez)

commit 4512ee2c91017d5ac31e73d6ae8895632a5a7dba
Author: marcel <marcel@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated list.

commit 3abc8d5133c2de1428d25becfcb653ef25e9a4f4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Use g_date_set_time_t instead of  g_date_set_time. Fixes bug #523703 (Frederic Peters).

commit 4a8b2f77c820651ef7451b8aa4309d6d036a4116
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Empathy should not require python-config. Fixes bug #525562 (Frederic Peters).

commit f56098d33971a3ecceb17d4b9ae9f1b46ba8f42f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Ask confirmation to close call only if it was accepted. Fixes bug #526927 (Frederic Peters).

commit 7a065d83d5127b4a5f87a2c89aa5dfd43732bcff
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove invisible_char property to let GTK use the default.

commit e14f9444574bd4e272a2aeaba7ed5f788a08a52c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Enable setting input/output volume

commit 9db47f9487dca1d462074be5f60f1c24a5e7f8e5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add missing glade file

commit 149e87b12cba47def27985685c9ccdd4060cb7b4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Enable VoIP by default. Requier latest stream-engine.

commit d8d8ec27889655638e436d6d35d28fe59b369057
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Comment out a empathy_contact_run_until_ready call because it doesn't work.

commit b807f6df0953403c0245b723e70a96a75e40f0d8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Removed deleted header

commit 649ad7435ba1216b8dd815e9e5292a5af265f09d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update python binding

commit 1af383f86441ec03679b12196f3431b9eccc51c4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Display a warning if used when not ready instead of silently return.

commit 526e37452fd487a5abe713077cfc6c4612da48c7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a 'ready' property telling if the object is ready to use.

commit 632028fde0d6f32b8ac6e03fe3b2e1a0c2ff5916
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a widget to configure AIM accounts. Fixes bug #513676 (Andreas Henriksson).

commit 7615235bd0dbd13faf70f985bffbcf9a998bd334
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update python binding

commit 1f5975f4e4ff0e3ea4d416684a818f560a3db368
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix ContactListStore constructor. Fixes bug #522297 (Juan Pizarro).

commit 95b4305b45b6d62b321534adfa5a833bb3e9040c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not ack pending messages until they are displayed

commit a2073c174cdfe86dbf6093a7af428a5b6bd547d5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not update the chat if the window doesn't exists anymore.

commit 584cf76e0ebbf5c7a6231a74d19c9dc51cf4e9b2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    ref the contact temporally when setting properties because it could destroy the object.

commit f135f42526b85136c4eb9e08302b7c902fe77ae6
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix a warning: don't set the ui sensitive if it's not yet created

commit 0f2c6001086070fafb0fc531bd4d92248995cce3
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add contact list and restructure a bit the code

commit a5ba33c6dfd830ff0a47efe8ad10c079abcee4a8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Move create_ui to constructed()

commit d48cc7d2ad89a4339b258a05f79607e5309bf79f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Correctly block events

commit d15d12cc38d90a1680b3d79d0dce4efc4632a396
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Redefine size_request and size_allocation on EmpathyChatClass

commit 2f0ad8cf39150ec5ffdbd3e762414dfe66b0a8ab
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix various warnings

commit 2ca2cc69c96c09c834c86d9c1b683ef60ac17042
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix separator in the glade and show the chat widget when adding on a window

commit e77fde856817df649c57969690b811221bc328e0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update doc for new API

commit 123313e319bd3fcce124c907f255e0bace1a9e86
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix build errors EmpathyChatWindow, port to new API.

commit 5858c97a4e8212cb9c83c02cb9b64cc5b8ea92be
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a tooltip property on EmpathyChat

commit abb500c429b1a353211e54884b33c5f473c1c055
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix load/save chat geometry

commit be40c874a481de40f50d82b35439eee0f5d1e521
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove Room menu, chatrooms will be handled in a dedicated program.

commit 4215e2f6a4edebf83626a555f936c7121a635d29
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Adapt to new api

commit 669fefd75dd2626ec1592997813edd5be302dbb2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Build UI from glade

commit f7ad7b0ac402177862b2dc74ed1764dc870d090f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Rework EmpathyChat's API, it is now a subclass of GtkBin.

commit 88f63592d3146c1e0e11694e13ef761ef91cab7c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Move window's glade to empathy-chat-window.glade. Reorder empathy-chat-window.c

commit b347d044dbd7212022b585c84c30865325912a42
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix some coding style and move group chat glade into empathy-chat.glade

commit 58ca4be5a06011dcb7b34a816712a76568a3ff72
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove unimplementer and not used API

commit 8c60ce2b8cf56a04269cfee8f7cf79bd582b5bcb
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add empathy_chat_new and don't use empathy_group/private_* in empathy.c

commit d67bc5069f24d03930fb535461737ac692d1a006
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove vtable and add info as properties. Reorder empathy-chat.c to not declare func on top.

commit a62b7ee1e5e2d379b8d01ac5091998848bc96604
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove deleted files from Makefile.am

commit 06c337acbb31e061518eeb5f8a6158f63500a0c2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove group/private chat, will unify in empathy-chat.ch

commit 643a301fe0bd44e5f64fff4ea5d90de477c8367a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix leaks in finalize

commit 27130e16bf4d18bc291d07f1408d05e63576c750
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update status icon for new chat API

commit 8b670a446aea487cbae7d92e7685b3818094dd9a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Unify EmpathyTpChatroom and EmpathyTpChat.

commit e2785058d20f51b6b8621210b8d9f885b25c2d54
Author: frolix68 <frolix68@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated el translation by Giannis Katsampirhs

commit f79f657c8cd4e75953ff33266d6bbd5b346014fa
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add missing glade files

commit c9627365fcff805b9a9599adc178fe091450806e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add GUI to configure groupwise account. Fixes bug #522862 (Vincent Untz).

commit c7106eca5404402b15003bec7418818edd36857c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Disconnect invalidated signal when TpCall is finalized. Fixes bug #523766.

commit a806ce7b6af5e5da0f77b5f5077bdd7db56d7513
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Better detection of backlog to avoid droping messages

commit b90cceddc95c5a6ba2ea4462d7bb394269025e44
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add more SIP profiles

commit 022673aaa9e2ef02a6cb8e6c921add51f3b77ffa
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a widget to configure SIP accounts. Fixes bug #513679 (Baptiste Mille-Mathias).

commit f726176c4576605360026baaf1216f18761d5ffe
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Disconnect invalidated signal from stream-engine when media channel is closed. Fixes bug #523766.

commit 1e8132e209811278e91e2e39e7830b9158f0e484
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    More coding style

commit 5448e3feab84d5a79ae831fa9446ae5d96882408
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix some coding style

commit a0d9b965ec74189b9a7b069afa8641940905cae7
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation (Jorge Gonzalez)

commit 557bbbb5750b761add4670e7a6ba8f6f2641691c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix includes

commit 98092e86e4b833b2d07d9e78c305e5f11a1cd163
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Hide unused functions with #if 0

commit 065bb83f839f396d97e4c2933d9cfbca1633b960
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not autoconnect if networkmanager says we are not connected at startup.

commit f54f42874b5b903b9dc3da7556bdedd40c0734c9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Adding groupwise profile. Fixes bug #517776 (Vincent Untz).

commit c94e72f743ef680db93c62c44bc28c76a522bd9c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Use empathy_file_lookup for glade files since some are in libempathy-gtk/ and others in src/

commit f81f32ba04373720879d9d2ec4f81386cafa3ce0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove previous hack, it was stupid, we have a param to increase dbus timeout now that we use tp-glib API.

commit b89b3915f04dc811e99a483b85ffe33f2cbafd9c
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation (Jorge Gonzalez)

commit 0f0d89e3e7af6fcea11422bac0ada13b00c5b644
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Keep the 0 in the end of the array when duping it

commit dc5c6edf3c3cae38b711d72dc130e8d557bec161
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make sure the dup_handles array is ended by 0.

commit 23c8fef47dc7648d00046d537b1b3f0a5f7e0e97
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix includes of files that are now in src/. Fixes bug #522780.

commit db12f2cf7e1b43a0ed9964b69434e046a253a8b7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix warning when showing about dialog from a chat window

commit 9bab6f43a0d418563d83ba029dcb12243deabcfe
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Bump version to 0.23.1

commit f832688c976fd7e992d19b3a50b988dbef95e9ec
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove doc for modules removed from libempathy-gtk

commit 5aadceac60837efbafecc9913faf2d5dc96fe860
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    fix indentation

commit 7d9478b3d47f9bb8e222c34267265143a0d63520
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add python example

commit fb2ae58ccc23e702e25d5afe9401f3f686b47107
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update python binding

commit 5efb16f7393e1417983ff5faa6d2fc50588976a9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove Presence object, it doesn't exists anymore (Alban Crequy).

commit ed7083bd8563e1855cff3d09b32682d83d758294
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove empathy_chat_present from header, it's not implemented anymore

commit 0fcab6b4fa150122ac522f50cc01214c47bfde9f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update python binding and add a script to make it more automatic

commit f92855acb648eff26f0a6b8563aaf9c4e2956344
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Retry requesting aliases if it fails, it can happen if there is too many aliases to request and it takes too much time

commit 2b15401db09d438b35c1659d55cea56bb0df1665
Author: nshmyrev <nshmyrev@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update POTFILES.in according to new files layout. Fixes bug #522528.

commit bc7601587de45f6258ad50d3cd5ed1f5b2ef457c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Install glade files that got moved to src/

commit c96043e68c46c9d3614417d3046a73ee8d572802
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Cleanup a bit previous commit

commit 88a70cae2a1511f5f93ca9b1a9f52d2783793881
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Confirmation dialog on remove contact/group. Fixes bug #519946 (Bruno Dusausoy).

commit 8f0c60360cada2d318ce3308d56136e0b725a427
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Wait for the factory to be ready before getting members

commit a379d39b8e9b82741dc4b72b1ac0fdb9a2cc52a9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Emit notify::ready signals

commit 51bfdd1e6f279c0504bf068ba5ec9132a8c68e20
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove EmpathyChatViewBlock and empaty_chat_view_set_last_contact

commit 5ecae4206a372ee521a8d220bff06eaf0f267329
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a ready property on EmpathyTpContactFactory

commit 03801e6354f077b37a68c771a255bda2aedca460
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Move modules that make no sense to be used in other applicaton from libempathy-gtk/ to src/

commit 485f75cce35f6a8d2f88a03fc10d6ecce66e10ee
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Move chat chandler into the same process than contact list

commit 0463fb52679f61bceea2c50b3b76eabb24ffd3f7
Author: gforcada <gforcada@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated ca translation (Gil Forcada).

commit 36fe430c5c1c57551b40bf266db8b2d468ad19d4
Author: gforcada <gforcada@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated ca translation (Gil Forcada).

commit dba25bf7dd322894f4a3bc0239f2f7a3618617e7
Author: dooteo <dooteo@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Basque translation (Inaki Larranaga Murgoitio <dooteo@euskalgnu.org>).

commit 51db735662b03422bd05e270e0bdf3cb08d3d513
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove the select all entry for now

commit 9a6274d7d693af1d5969a425c6e457f654862533
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Use more stock menu entries and fix a separator

commit 779458dcc3d504a71607193b979c7efa78cc824e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Convert another glade file to glade3

commit baad115f391b433717186b04cbda185548bbcf2f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Use stock menu entries

commit 568022761a0ffb7b24b9985d0e43e531c9c7a9e4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Convert glade file to glade3 to minimize future delta

commit d1c5505593fc48280381c9528dfa3f3d96e0c227
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make use of tp-glib helpers func for GValue

commit 2bfff0975128998d23f3b384b22c970c6e0818af
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    remove _set_topic from binding since it's removed from API

commit 94e1774adeddf8532043856e78e25a14bdf379ad
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove useless libtelepathy headers

commit 3323cff2c25775a03042024e10fbb66f5854e419
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix warnings if finalizing a disconnected EmpathyGroupChat

commit 58d82543120383e5cba27bf551cd83b33cefade1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Connect to PropertyFlagsChanged

commit b5004f334fc8609daaf4d3076f438300251db99d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Check if property is writable before setting it. Fix leaks

commit 1fba34f47cb3a19de59cb00a344f1086020d65e8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Implement _set_property

commit 9614420073f23073a2ac2f9451753ced899f391d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix usage of property iface and make use of it to get chatroom topic.

commit 5e8a63f53bb10a09f04455527dee5f3b93ef1f29
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Display GError's message when a call fails.

commit 9e1bda903c1650f0d9a98b6d6f2da6f6b669b1c1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix some warnings when getting properties

commit 11dfaa7485404b0074cbe422f2fe376a011e05fa
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add back "tp-chan" property, still used to inspect the channel handle.

commit ab78426092174870564b586721c9a50bdcbdfb8b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Continue property stuff

commit c275f85f01996504164efc67c39fa2b63c8c8259
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not close the channel if the channel is invalidated

commit 64676748699f1f7b8eeb19791dccb0da3965d230
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Prepare a new API for chat properties

commit b5c857a51f292901575a6f3d6fab3f40bf4cc161
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix coding style

commit b82cc0b72ef2f75720333ce88d333c837edf9296
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove unused priv->factory

commit a94a4cfcd5671d4fa594115cc0472f9e36e26c72
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Queue received messages until the sender got his alias.

commit da3cc13acae61f8a5c18f852669aa0469fc0e93e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Refactor EmpathyTpChat to use tp-glib client code

commit 7cc6b127e08a01871b97cd4e9d8e59e1c62c09a5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Don't wait for connection-ready if it was already ready.

commit 8ba4bbed2275b2165ebad66db50efa4b005742c2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Improve a bit the test and fix empathy_contact_run_until, data.ready was not set.

commit 514984d8d4d75e5cd1b67180e6d825298baf4b13
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Minimal version of contact-run-until-ready test

commit dacdc81fbac9e7bbda8b4507602406dae64420b5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a test for empathy_contact_run_until_ready

commit ed295f8ae443c62bb1c57d8121523b8b223ecee3
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove useless empathy_contact_run_until_ready and use tp_strdiff instead of strcmp

commit e4c0825626dcb84343eaf482c51b4cd2b557fd3b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Simplify !(a==b) to a!=b

commit a696b08fc9cbf1175c08ab395f1c0dc4c635a1ed
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make sure we don't expect contact id and handle to be directly ready. Add some _run_until_ready.

commit 8eead5fea606c62690dcd9384505e281fe1db23e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Simplify tp_group_get_contact.

commit 7222c4af068ee36c29c1d5516d4346389de751d2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add debug messages in _run_until_ready

commit 2bcd60add611ab25c45a25573aedbcbd050dc60d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Keep EmpathyContact object instead of the self handle, avoid using the connection when not ready and request contact info when the connection gets ready.

commit 465e6ae8de678dcad0a1410d8b5273a9544822b2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix droping a contact to the chat window.

commit 3f50043de314def38cad13396238d2ca85580a3d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    simplify empathy_call_with_contact_id using empathy_contact_run_until_ready

commit d9b6dfac310a8a957fb07aaede94f3295704d540
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add empathy_contact_run_until_ready()

commit fb5f73831249bcc0b280dc962d4091cd54dbc2d6
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Ready property on EmpathyContact is not a boolean but flags for each property.

commit 8fc1c720255b1d2c69ab4f3b53be2c7cb0a85c64
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a ready property on EmpathyContact and make use of tp_strdiff.

commit de28829472e90521598212fed61b63f7a810ba94
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Lazy init of contact hash.

commit c65e038944e3c40fc645d70696e4fe4974c0f11a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    If we set contact's id and name is still empty, emit notify::name.

commit 9e14256d37223ba2de2fcc0010272f72a497317a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make InspectHandles call async

commit b9a7b4d43404d8269cab815754b0b8450d4012f8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Set self handle to 0 when connection is invalidated

commit cc212062b900ffe4b84466e4caac2e2e7f280b69
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Use new api

commit 9c547e768331c659924bf80f45d2a6a5ef3bb595
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix compilation and usage of GError

commit ac8e065bb97e642e3b07cc63dbbd5bf976702d42
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix build of extensions: s/>>/>/ for signals rule.

commit 3ffe842823b54c0738bd2eb15309638906371dc2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix leaks

commit 38092421478ccc38d18302b1b4d58c3b52a82341
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Avoid dup the url string if not needed.

commit 50f4f762ef69611842940d25396816f42e292080
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Drop gnome-vfs dependency and use gio instead. Fixes bug #514380 (Cosimo Cecchi).

commit b9de1b37f3294a49588fcf3ef0ed6bb3e0e5aca9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix a leak and simplify account_chooser_set_account_foreach.

commit 4b9d7ec3720a8c288e95e298fab95829554984d6
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    By default display all the favorite rooms in the favorite room dialog. Fixes bug #521554 (Marco Barisione).

commit 16216c574d0d38d2a9eeb8a50f677e9358b290df
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Never show avatars in compact mode. Fixes #475789 (Marco Barisione).

commit ec35bea94aa4d5323bbbddfa7d2f8fe0923b7c3e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix indentation

commit e2eae0665d33adbbef49b1a062e07613c8271745
Merge: 745f5d4... 307b606...
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Merge commit 'bari/disable-avatars-opt-if-compact'

commit 745f5d490432a76c7e0b62bd343e97bd706c113b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not use a global variable but a field in the call. Use a boolean since we don't need the owner name.

commit 44015c5eb536922f0de8ec829d9a041432b16785
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix: do not close the call channel if stream-engine is not yet started (Alban Crequy)

commit 307b606addcec604e0be2c2ecd58b7e1a5dd0a3d
Author: Marco Barisione <marco@barisione.org>

    Swap the 'Show avatars' and 'Compact mode' check boxes

commit f56c86585f39e071fcb80c057d47db77b260c361
Author: Marco Barisione <marco@barisione.org>

    Set to unsensitive the 'Show avatars' option when using compact mode. Fixes bug #521570 (Marco Barisione).

commit 08b36c3d01a58871ccc2647e93ba5e0d46fb32ef
Author: dooteo <dooteo@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Basque translation ( Inaki Larranaga Murgoitio <dooteo@euskalgnu.org>).

commit b7f4870879c28ff0f83becd0ecd035f0df8a4efc
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation (Jorge Gonzalez)

commit b20343a46bbdb14cf251b808351e47451463d9f0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Removed some tasks from TODO

commit dce502cbeb2ca89691733aa03fadfd19a1c313b9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Bump revision version of ABI

commit dc67770757fd7d1f745e3e0fc7bad8a8a4ae020e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update NEWS

commit 79a366fd2f9bb37a6cb54e080f1fd498bc0cf95b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove commit log that has nothing to do there.

commit 3d6d87d1bea62b21298a77f558cde22f2120bdc9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove useless header

commit f4be15f7f6f97b3179f6355a15bd9152535361d1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updatre python binding

commit 9b99207ad671205e06238cc8acce632e47dd63aa
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update API documentation

commit 2a7b97e0a09222fc464594def4a91e67943da0c5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add missing file in POTFILES.in

commit 08b0d28362ec77a0f98c71695442fce631ecbe39
Author: ituohela <ituohela@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Finnish translation

commit 16ab0c9154ddd12c9b1bc8e517fa66b491902da0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Bump version, forgot to do that after previous release

commit fea51cf77b16ae0ebe944945938c9d94ee2ea860
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Reset block event time to 1sec, messages are not blocked anymore

commit 2c8bd89912af3ad65449df5175deddc0fe019a27
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not queue messages in EmpathyChat as there are queued in EmpathyTpChat now.

commit b068cc32b310fa9e104f8392bb0ae637c1678788
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Queue received messages until the sender got his alias.

commit 33941324f1668337e91ccbb5aacef0b338d0aa82
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Reorder functions to avoid having to declare them in the begining

commit 1c70a65ac4bd1ed000b97502d87b62bffe7366a2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not run multiple instances of empathy. Fixes bug #501805 (Marco Barisione).

commit 6c0702b3f487984d482783804f07c9df2a9f1c79
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Reduce block events time, this is still a ugly hack but better fix is too dangerous to merge 2 days before GNOME 2.22.0

commit 7192bddb8705345b376a7fe6b478c4cdca49532e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    If the main window already exists show it using empathy_window_present() instead of gtk_window_present(). Fixes bug #521051 (Marco Barisione).

commit 65867af8da2b8a7977012ba38950f3f9198f74af
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Allow underscores in URLs. Fixes bug #505616 (Marco Barisione).

commit d8f141dd82d2b2384714a1aeb8c2117f5d29d0d1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Move the "Close" button after the other ones in the favourite rooms dialog. Fixes bug #520788 (Marco Barisione).

commit 2710a91a7c935b58c8e6150f287f2107e5ef10aa
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add an advanced expander in the generic setting widget. Fixes bug #466521 (Marco Barisione).

commit 9eae6953c618bc947cc0a7e80907d7d7b36326f3
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remember correctly the window position and size when using tabs in the chat window. Fixes bug #479534 (Marco Barisione).

commit 38839b6501a9f0e41b8aac99dd56c556092e1b6e
Author: pwithnall <pwithnall@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated en_GB translation (Philip Withnall).

commit 8272c253377bfef678501104c98ef1b437a081d1
Author: dnylande <dnylande@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated sv translation (Daniel Nylander).

commit c8e7ca4f0cd8b57ba340e63110424e34bd1568aa
Author: stephaner <stephaner@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    === DO NOT EDIT ===

commit 9e37b6af47e283b85870b4dfa58930a4dd15e2d2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Replace g_signal_emit_by_name by g_signal_emit (Alban Crequy).

commit 7beb6752290fca01e311585c59e3f703b95af25e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix call when then stream is created with a 'Bidirectional' direction (Alban Crequy).

commit 9c76a73a93e9a5e57edb48e734d5163bfb6a5953
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove EMPATHY_CAPABILITIES_UNKNOWN flag when setting capabilities

commit 715c1a6e187634d27d8dad9d9ac9443d8b6c64e6
Author: lferrett <lferrett@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated it translation (Milo Casagrande)

commit cad6a38b879191f6adcb52ca931a77e93ee8a76c
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation (Jorge Gonzalez)

commit 8a380d9574e5449aafafb24ed157d71d3a7b4bc6
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add an action to the release script

commit 092c8ee98c024c543475a88679a098ebfc07e339
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add an entry for latest commit in NEWS

commit 9017ee79f82fec538f77e223c5244817b2f27ff2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Don't hardcode path to uninstalled files, use EMPATHY_SRCDIR env var instead.

commit 2af86e207b7a3fb4991fd42abccd9ff6336c99dc
Author: dooteo <dooteo@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated eu translation <dooteo@euskalgnu.org>

commit 0e00df45a81d597b377012d91753509f172f0ff7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add xml files for unit tests to the release tarball

commit 3a724e8c43e19aaa4dd3394dbe0cf19f99a728eb
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Install missing glade files and add them in POTFILES

commit 4d243fe1734907d73752f7058410ba1918971d9e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add missing files to POTFILE

commit c26c9d9f246834b894a8c5ef2f6ab1227c9ae14b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update collabora copyright to 2008

commit eb7a25be380a87735e67b81ebf33bc15ff5fd198
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Prepare for release

commit 2a7712c015c3ea0718d4cba3a7fac3eb820928ff
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix crash: g_object_new()'s last argument must be NULL (Alban Crequy).

commit 15015a170e850555a6f1cca4f531b2935388294b
Author: leonardof <leonardof@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Minor fix in pt_BR translation (Og Maciel).

commit 6a48af1ec3a25ca1dfbaf0ce1087e1a4c781d68e
Author: leonardof <leonardof@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated pt_BR translation (Og Maciel).

commit b2475cf01189645e55e3546d2a33f4831c9f40c2
Author: dnylande <dnylande@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated sv translation(Daniel Nylander)

commit 8edfe549e45a1c7b07673cab5d529c41dff35260
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add missing include of tp-conn.h

commit 4de19368dba22a1e3c7669b93de0cce5378b981f
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation (Jorge Gonzalez)

commit 9074eba825df5ac17059771e053dd3887ea1d787
Author: yairhr <yairhr@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Added Hebrew translation

commit 8d83b75788ef7c0ae6a97a900eb87d7d6efeccf1
Author: leonardof <leonardof@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated pt_BR translation (Og Maciel).

commit 09969356d26bcb1cdb929ca1dd4eda6bd7a234d1
Author: djihed <djihed@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Arabic Translation by Abou Manal.

commit ec316cca564e8183f9b9149cecd6971e3dd498b6
Author: dooteo <dooteo@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated eu translation (Inaki Larranaga Murgoitio
    <dooteo@euskalgnu.org>)

commit bea3b7670a361a941b1b67813710dda2e090d876
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add filter for incoming calls so the status icon blink instead of popup directly the call window.

commit e5049192f1318e7b9521863d36491da7f0433a4c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    configure.ac: Add -Wno-portability to AM_INIT_AUTOMAKE to suppress automake >= 1.10 warnings

commit fa0bb9b06bd5f0a14a99805f9a8fa230a00069e0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    libempathy-gtk/libempathy-gtk.pc.in: fix name of the library

commit 5e2635f366789b50b55c88df9c9150835164488e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove useless commit messages

commit 2558e615e76a3b324e6148c32a211d35f57ef10f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Cancel name owner watch when the call is finalized

commit a1535b6be42b5dcb72c3d7c7cdedf5f31dee038c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Watch name owner changes to know when s-e falls off the bus.

commit 677f54ac700a3ce9a7cdf57cbc791c9194ceec01
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Avoid calling Close() on the media channel if it's already closed.

commit 569ef5198d205cdb54d7dd72fe5d3ccbbb7732ce
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Close the channel if se proxy is invalidated and do not change status to closed if a se call fails

commit 47ab2aa5acafd5ad7005a6bbe280b00ff39bde57
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Change status to closed if stream engine dies or if a call fails.

commit b0314534d1f403f0c7f8ad7d878bca9fb3497818
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    unref stream-engine proxy when TpCall is finalized

commit e2dfe56575f0c945d84d9c81aced7ade9cd514ee
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix typo in var name and don't link empathy-call-chandler on libemp-extensions.la anymore.

commit 305618bc4b8d329cac8e58d84300477acb12e5f8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    It's now safe to call emp_cli_init multiple times. Move that call to empathy_tp_call_class_init.

commit cd24a3a0fd187316d7ab36e2226a3c195784560a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make use of generated code for using stream engine.

commit c20c59c6cfefa0e7210282e19a6fc33bd65c95f7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Import tools from telepathy-glib 0.7.3 and build a static libemp-extensions.la.
    Link that library into libempathy (it's not actually used for anything at this
    point).

commit 3c9d522f2784b634077f09ea4e753904ad21524e
Author: ymarcheg <ymarcheg@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Occitan translation

commit 487706d2dfd09304580f8cd0b320716906f4422c
Author: dnylande <dnylande@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated sv translation (Daniel Nylander).

commit f78079fb20a07e1bf5b8eb03305e99cf9538f743
Author: dooteo <dooteo@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2008-02-21  Inaki Larranaga Murgoitio  <dooteo@euskalgnu.org>

commit cd738c2b16ebde9d25e0e725ef50d52d5841778f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix typo in API

commit 734931689010d000ecf0780da051917c94828c4b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a GUI to configure yahoo accounts. Fixes bug #513674 (Susana).

commit a20d20df7927f4936ef8e50e77644e374a99ac51
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove "override server settings" frame in ICQ widget.

commit 3aaaae9fe1a1b4a3480ee9a7acb64e392b6efae7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add GUI to configure ICQ accounts. Fixes bug #513673 (Andreas Henriksson).

commit 40f131ddb5582c88b33490b3a752f7d62924ca1b
Author: ymarcheg <ymarcheg@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Occitan translation

commit dbc3bb53f4b16fff300569b205198273356a3550
Author: ituohela <ituohela@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Finnish translation

commit 9c292df7591b3d5f35c1915646442bffb4f87930
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation (Jorge Gonzalez)

commit 2f900e7d88dcaa201eca010f94d7d2f089cbe170
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not load avatar from cache if token is empty. Fixes bug #517098.

commit 7b64cd43cea01a2e6f8192b581dcebadcef79ea2
Merge: 7aa51c0... 4604486...
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Merge commit 'bari/marshalList'

commit 7aa51c089e34ed61b7e59d68c96e9c3f1ba0170e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove useless m4/Makefile.am

commit 5f584ecb25b3de8af04a904b19b9366eec7c0d7c
Merge: a1db154... ff15bd1...
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Merge commit 'cassidy/irc'

commit ff15bd1d2d2bd0665472dd5e7a46aac13a07cd73
Author: Guillaume Desmottes <gdesmott@gnome.org>

    rename empathy_irc_network_add_server to empathy_irc_network_append_server

commit 71f6bb8d3904926bba84d42b657e6e427a986e0a
Author: Guillaume Desmottes <gdesmott@gnome.org>

    FreeNode port is 6667

commit 149c25069d90730efc1be081242addd6930dc32e
Author: Guillaume Desmottes <gdesmott@gnome.org>

    no need to get label widgets anymore

commit 88f734b01444a41bddbe1e0b59e172d98a03ec9f
Author: Guillaume Desmottes <gdesmott@gnome.org>

    use g_timeout_add instead of g_timeout_add_seconds

commit a1db1548ea0936b2197a5172445ac55a5b79ff76
Merge: b877a6e... 98310a8...
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Merge commit 'cassidy/accounts-create-order'

commit b877a6e80361c7a6ffefb5692f9f2515f868a415
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add tags in .gitignore

commit 12d57ef43eef473cb26111e985082332dd4a5e25
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    EmpathyContact: Set G_PARAM_CONSTRUCT on the capabilities property. (Sjoerd)

commit 98310a83843d684a6ee115395907824b3c678c46
Author: Guillaume Desmottes <gdesmott@gnome.org>

    accounts-dialog: swap the create and previous button

commit 1a452a8d12accff64e5096f5bfa070d807dbe83b
Author: Guillaume Desmottes <gdesmott@gnome.org>

    save when adding/removing networks

commit 8e03f55f9a6ff8407d029c269bfa02920044dee5
Author: Guillaume Desmottes <gdesmott@gnome.org>

    check if network !=  NULL before trying to set its charset

commit 0bb52ee79cde0cbaaed37f0937ee8788d11d7146
Author: Guillaume Desmottes <gdesmott@gnome.org>

    create irc-networks.xml using networks from xchat

commit e99212263f73e44f8bc675816b8c83f726101eea
Author: Guillaume Desmottes <gdesmott@gnome.org>

    set irc network dialog as visiable in the glade file so we don't have to call gtk_widget_show_all

commit a7263563ed00ca6d954181a892aee362026ae637
Author: Guillaume Desmottes <gdesmott@gnome.org>

    use gtk_list_store_insert_with_values instead of gtk_list_store_append + gtk_list_store_set

commit c19d9a1b4f5661c69d1a6fc9fed98f4b187786ad
Author: Guillaume Desmottes <gdesmott@gnome.org>

    fallback to DATADIR if global networks file wasn't found in UNINSTALLED_IRC_DIR

commit a275fa75b8702051d2fbbe07297d4fb033ab36d9
Author: Guillaume Desmottes <gdesmott@gnome.org>

    remove GtkSizeGroup

commit aff281623f6ece4cca262084aa448b2fa0672ea2
Author: Guillaume Desmottes <gdesmott@gnome.org>

    rename account_widget_irc_button_network_clicked_cb to account_widget_irc_button_edit_network_clicked_cb

commit 5db9f49c45169cbab593350d8dafadec1d93118d
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add tooltips to add/edit/remove network buttons

commit d5e39c7ef0d2698749861c2582d7c2c80f7ea681
Author: Guillaume Desmottes <gdesmott@gnome.org>

    document EmpathyIrcNetworkManager

commit 17ee37dad957c91b628b542a8e3e6da6681b18ff
Author: Guillaume Desmottes <gdesmott@gnome.org>

    fix typo in doc

commit ec2557341437de192b8ec8c3c3887cc01dcf511f
Author: Guillaume Desmottes <gdesmott@gnome.org>

    document methods of EmpathyIrcNetwork

commit 36f904b262e5b7c4d05e7ee6fccbbcb95920cdb9
Author: dooteo <dooteo@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2008-02-16  Inaki Larranaga Murgoitio  <dooteo@euskalgnu.org>

commit 75da63b5655021908c411f2e3512fa90386ddaf8
Author: Guillaume Desmottes <gdesmott@gnome.org>

    use %TRUE in doc

commit 3784df9ce79f6f3835df4fc70e572823873bc05d
Author: Guillaume Desmottes <gdesmott@gnome.org>

    document empathy_irc_network_new

commit 87132354651fdbcc9c72ffe8a99290feeebd1c69
Author: Guillaume Desmottes <gdesmott@gnome.org>

    document EmpathyIrcServer

commit a5ad3cf44d7fbb43d21984ed40d0fade79f5cfb4
Author: Guillaume Desmottes <gdesmott@gnome.org>

    updated NEWS

commit 54f3494171f1c1d40414a43ddcafc5016ab4f26f
Author: Guillaume Desmottes <gdesmott@gnome.org>

    totem-subtitle-encoding.c: change license to LPGL

commit 6630718c9bc6dfff20d89ac262b8af77899ec289
Merge: a0aa511... 551eee5...
Author: Guillaume Desmottes <gdesmott@gnome.org>

    Merge commit 'origin/master' into irc

commit a0aa511642d02bac18ff5b73a4a7da17f0590645
Author: Guillaume Desmottes <gdesmott@gnome.org>

    we don't have to explicitely call g_object_notify when setting a property

commit 786e085887c2b32be6db3f0331ab18bd5bce19c3
Author: Guillaume Desmottes <gdesmott@gnome.org>

    coding style tweaks

commit fd05b64f424198fcbf4428cde8d2f2f3d2830537
Author: Guillaume Desmottes <gdesmott@gnome.org>

    remove empathy_irc_network_manager_store as saving is now automatic

commit abb7c9a08ea73c9e845d1b22ac330241baa85c1d
Author: Guillaume Desmottes <gdesmott@gnome.org>

    automatically save networks when they are modified

commit 70cf9284ddcc32360ad6a67b684be18a8b853af7
Author: Guillaume Desmottes <gdesmott@gnome.org>

    display a message if the dropped attribute is used in a global file

commit 9917e8fad9fb5a1db38b691207b646daaa938f85
Author: Guillaume Desmottes <gdesmott@gnome.org>

    no need to check if the id attribute is present, that's the job of the DTD now

commit 8685d62fdc75d56f9b34ec63cbd66047295b7e52
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy-irc-network-manager: emit notify when changing properties

commit bb52aed2d9943e85f3c1ae89f6864af622a7b7ed
Author: Guillaume Desmottes <gdesmott@gnome.org>

    remove m4/Makefile from configure.ac

commit fb28b8915801221177ec0372e43396c32928e6c9
Author: Guillaume Desmottes <gdesmott@gnome.org>

    don't use the network name to generate new network id

commit a588c498320b1154fa6ceea4563a3258c373c545
Author: Guillaume Desmottes <gdesmott@gnome.org>

    validate XML files using DTD

commit b5434d01aa74d69b6876ed54adc5b1fc260d4479
Author: Guillaume Desmottes <gdesmott@gnome.org>

    install empathy-irc-networks.dtd

commit 98bc9c926f2488ed10a5ac645ccf687308ae1406
Author: aihana <aihana@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated ja translation (Takeshi AIHANA).

commit 551eee5499e5c0dad1b49dabe7958401de26663a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Wait a bit before displaying pending messages of a chat to have a chance to get alias/avatar.

commit 87f6bd7c83be59c51342e781d30023c21bbaa634
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove unused PROP_SUBSCRIPTION

commit 278a815951c2c0bc1e666a0f9b185f9711223cd5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Block events messages when the chat is connecting to a new Text channel. Fixes bug #507515 and #516198.

commit 122ef714eaba9b08d0894c6fe4ed322be8ad023e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Removed unused PROP_GROUPS

commit 1a7b2a70037c7d436050195e6e52a91d58f9f152
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Create avatar pixbuf only if the theme shows avatars

commit 5ac97ef8f6a54a38bf29aa5363a27b7c7bd15dd8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Cleanup code from previous merge

commit bca84c279f74b0049085855a821c4399eb1eabf1
Merge: 77915bc... 6a410fc...
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Merge commit 'sjoerd/master'

commit 6a410fcdcb941a377ce3c321b5f43fcc7ad14a71
Author: Sjoerd Simons <sjoerd@luon.net>

    If the capabilities of a contact are still unknown, wait untill they're retrieved before starting the call. (Sjoerd)

commit 80c61499e7998ca5bdf235214654efab85376667
Author: Sjoerd Simons <sjoerd@luon.net>

    Add a EMPATHY_CAPABILITIES_UNKNOWN_FLAG to signal the capabilities haven't been retrieved just yet. (Sjoerd)

commit 77915bc4ef6237b0a20576e8784cab25cc13672b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Simplifies empathy_call_with_contact_id.

commit 9b58d0c179b06b1a52a1418331546e9443d6bfdb
Merge: e148cf0... 418614a...
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Merge commit 'sjoerd/master'

commit e148cf002e157fa403e7288c67010119d594f86d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add self contact to the group iface of media channel.

commit 418614a8e2c51cf619ff2567f59c8f386037bafc
Author: Sjoerd Simons <sjoerd@luon.net>

    empathy-tp-call: _ref the connection, channel and contact properties if set. (Sjoerd)

commit feab79ee6c5532235f4dbc22ba3dcb008fdfac70
Merge: 977b799... f90defb...
Author: Sjoerd Simons <sjoerd@luon.net>

    Merge branch 'master' of git://git.collabora.co.uk/git/empathy

commit 977b799331bea35a58fb07dde467ec7914d94fb1
Author: Sjoerd Simons <sjoerd@luon.net>

    Make empathy_call_with_contact_id wait untill the handle for the contact is
    discovered, before calling empathy_call_with_contact

commit f90defb418f7ee685277863a0f9364aea7ff75b1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    If there is an error when listing streams, return for the func to avoid crashing later.

commit 295b1892fd68f7acbe0abb19852c556cd0df2a6e
Merge: 77f2eba... 8b8db69...
Author: Sjoerd Simons <sjoerd@luon.net>

    Merge branch 'master' of git://git.collabora.co.uk/git/empathy

commit 8b8db69bdf94ceebf27f2d8a11bd7bdffa1d8474
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Merge call branch from Elliot Fairweather with cleanups from Xavier Claessens.

commit df1173a15c87b3b29d6c436801787471f7844e7a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Call gtk_window_deiconify() when presenting a window because in some cases the WM doesn't it for us (Marco Barisione).

commit 2e718fcdff619012f1128c144e5eab6ac02ad3f5
Author: pachimho <pachimho@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Nepali Translation

commit c19a8e9ce7ed6180159e9b06ebcc8d2d18c35ccf
Author: ituohela <ituohela@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Finnish translation

commit 77f2ebaa9d32093c3c82c1c9513ab8b7666a755d
Merge: aefc8fd... 9651590...
Author: Sjoerd Simons <sjoerd@luon.net>

    Merge branch 'master' of git://git.collabora.co.uk/git/empathy

commit 15ad93a1f25da27ef7b890db9898a65730399473
Author: icq <icq@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Galician Translation.

commit 46044867fcf7a9d3a4be7171a66f8ab100931e7e
Author: Marco Barisione <marco@barisione.org>

    Use POSIX character classes instead of ranges with sed

commit dd04a9cd2499efd8c6af957b567a345ca047f965
Author: Marco Barisione <marco@barisione.org>

    Allow digits in type names when generating the marshallers

commit 9651590dfd068b739f52103e34dc96303a21a5a4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Try to create salut account if getting the gconf key fails. If the user starts empathy just after installation it will fail because gconf didn't refresh schemas yet.

commit b14426eac142f8c1cbfeb28bc5352495693e87fb
Author: Guillaume Desmottes <gdesmott@gnome.org>

    remove old commented code

commit c9d04309f5c88d8069b82b4726d3d4becf285dc0
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy_irc_network_add_server: complain if the server is already in the list

commit af9ebaac149fb89835ea7dfd88d58523c59b17a6
Author: Guillaume Desmottes <gdesmott@gnome.org>

    coding style tweak

commit 547f3a0eadda88429d309833094017e6b68e12f3
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Gdk python module is in the Gtk namespace.

commit 8bf8eaf11dad5d06d77ecb0b953dfefd0581ae24
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation by Jorge Gonzalez

commit 75eb1cacc22921341fc2779682d608508a3f764b
Author: Guillaume Desmottes <gdesmott@gnome.org>

    document empathy_irc_network_dialog_show

commit 71c6950865d455ecec3f9e1b70588de3e2f083d1
Author: Guillaume Desmottes <gdesmott@gnome.org>

    rename irc_network_dialog_show  to empathy_irc_network_dialog_show

commit 9d9c51672f1cc4436479ef2bf15b95e1b714050a
Author: Guillaume Desmottes <gdesmott@gnome.org>

    document empathy_account_widget_irc_new

commit 245d9cf2bfa8b3abe6f56dfecdbbc7fe2b3284b2
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add IRC widgets to doc

commit 9dab3a97fc35ef4316642c90ae6cf71c48628cd6
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update README explaining how update python binding.

commit 57716210448e977241c56a52325cf87d3bfc14d3
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add totem-subtitle-encoding.c to po/POTFILES.in

commit 1fb205ac458289c038f4c16c3344fe22612601d2
Author: Guillaume Desmottes <gdesmott@gnome.org>

    don't install empathy-irc-network-dialog.h as libempathy-gtk header

commit 50fbc596d41b46c1e3f2c397014d66651fe75395
Merge: 67214ba... ce0cea9...
Author: Guillaume Desmottes <gdesmott@gnome.org>

    Merge commit 'xclaesse/ircGeneric' into irc

commit ce0cea9226fe775aa8cc34bbd802044d42d6e00f
Author: Xavier Claessens <xclaesse@gmail.com>

    Update for new API.

commit 00266c7aa651cc3a7b1165b8e9da9453de6fd15a
Merge: 4b8563b... 747a12f...
Author: Xavier Claessens <xclaesse@gmail.com>

    Merge branch 'master' into ircGeneric

commit 747a12fe2d969e58cc3b263a59a6b931442809c6
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix a bug when unset port

commit 4e040f18933269ef6d7ca602d2a5035584397f62
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Change a bit the generic account setting API.

commit 4b8563b23375ee45938f4ce1a779a93795348acf
Author: Xavier Claessens <xclaesse@gmail.com>

    Make use of new generic API for account, fullname, password and quit-message parameters.

commit 67214ba24c3f3ed1fe071086d6cb4d3becdc764a
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add charset support

commit 67ea14f2e88163d44ff3ceae174b62ec66de76e1
Author: Guillaume Desmottes <gdesmott@gnome.org>

    build totem-subtitle-encoding

commit 9c328b1049144ad33bf9e7e099f148b4e553e51a
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add totem-subtitle-encoding.[ch] copied from totem

commit b38706bd3912b8af86c6b5ad1b94ea969af4eb4e
Author: Xavier Claessens <xclaesse@gmail.com>

    Use glib marshalers instead of generating new onces.

commit 0242d77256a8455f8e042bd82e499bee58fbfa00
Merge: 5af1142... 374ef85...
Author: Xavier Claessens <xclaesse@gmail.com>

    Merge branch 'master' into ircGeneric

commit 374ef859079592419f4914c872c0c17b2aeea1a8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a generic UI to make easy building UI for protocol specific settings. Port empathy-account-widget-*.[ch] to use that API.

commit 3d75ea49211f2135e80cc246b896c7a480de02b8
Author: Guillaume Desmottes <gdesmott@gnome.org>

    don't hardcode UTF-8 in glade

commit aefc8fd81ce586efea2077d198c9a10ea8a54bd1
Merge: 94cde42... 0944114...
Author: Sjoerd Simons <sjoerd@luon.net>

    Merge branch 'master' of git://git.collabora.co.uk/git/empathy

commit 0944114fed5c820b832ee2b12c6b5b6b615b272e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    EmpathyTpContactFactory: If the presence dict doesn't contain a presence-message set the presence message to NULL

commit 94cde42c3f7800a0b3f63feff88e659ebc99afc7
Author: Sjoerd Simons <sjoerd@luon.net>

    EmpathyTpContactFactory: If the presence dict doesn't contain a presence-message set the presence message to NULL

commit 5af1142965e18c7bfa7ac9286aa54a466da4dc1a
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add empathy-irc-network-dialog.c to POTFILES.in

commit ca19b69f233b20dcb4b25d47250a4ef1e36f4c9c
Author: Guillaume Desmottes <gdesmott@gnome.org>

    change the network when irc_network_dialog_show is called on an existing dialog

commit c2d4445ffb22a34cf7a3f3f6b9cb748f2483d269
Author: Guillaume Desmottes <gdesmott@gnome.org>

    remove a debug output

commit 6f3764d438d303d74c65be5bd3669601cd7a157c
Author: Guillaume Desmottes <gdesmott@gnome.org>

    update server buttons sensitive according current selection

commit d55ac4c0a82c88801aa11a318be0ddf72de7dfc1
Author: Guillaume Desmottes <gdesmott@gnome.org>

    reorder servers according the GUI

commit f123d200a52a10867fa539ea058be6031f07967e
Author: Guillaume Desmottes <gdesmott@gnome.org>

    move up/down server in the treeview

commit 539ac8e035c8c7254f0d051432a3dc86b583ee62
Author: Guillaume Desmottes <gdesmott@gnome.org>

    set cursor to the address cell when adding a new server

commit 61eebb095a8e23368c756cabccc6e9a21a1c2ab4
Author: djihed <djihed@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Arabic Translation by Abou Manal.

commit 807785301ec46f1a56e8fcec5a3233d518a390d7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Bump version to 0.21.91

commit 3ded9875eec7186c2e51ee6fe022a890f93ecd5f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Force a larger account treeview.

commit e884b7bab7c588adedd1d144d9d8161cd36b4be7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update python binding to not add ephy symbols

commit 8be26652ce0fe368e16c81472ea61ad9fbffbd7b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Generate marshal.list thanks to gabble black magic.

commit 438735dcb64217c5fbb6eb57e83e9f7eefec50b1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not export symbols outside the empathy_ namespace.

commit d0e02ae6b196296fdd6f8bd157a378bf4d2bdc71
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Mark some private symbols as static

commit d908639a21c3101ee88a9de72a1f8e3cf9387dcd
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Prepare for 0.21.90 release

commit 3638553934f4bd3cafe80e67e2ea9a17bdba53c2
Author: Guillaume Desmottes <gdesmott@gnome.org>

    expand the port column

commit a3e80d1c7490719f69b269cbdddef4b644bca9b9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Set a title to the enable column in account dialog

commit f556b5df867dd1745ffedacebd9fdbc7e476d997
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Put the toggle cell to enable/disable account in a separate column. Fixes bug #511841 (Carl-Anton Ingmarsson).

commit 84ab159163342130f3114e01d74b93ffa35b48b6
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Change new message dialog to new conversation and make possible to do voip call.

commit 748f98c5aab451289516d1bec3c6cd1cf32da78f
Author: dooteo <dooteo@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated eu translation (<Inaki Larranaga Murgoitio
    <dooteo@euskalgnu.org>>).

commit 9e13bb02eafa84bbe2c7cb70a16342082bece78b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make sure translator set the right commit message.

commit 555e6ea2fb0350e7126504a7f489794ec0c32e3e
Author: Guillaume Desmottes <gdesmott@gnome.org>

    test charset from/to XML

commit 77ed3680d725a9df5bd21493a08005505ecdc28b
Author: Guillaume Desmottes <gdesmott@gnome.org>

    read/write charset from/to XML

commit 65a4d8707c46181a99a73b0014e6299947ad4e14
Author: Guillaume Desmottes <gdesmott@gnome.org>

    fix charset leak

commit be2c55ac847ad0bac993f9fb7c3430d120ce0d4d
Author: Guillaume Desmottes <gdesmott@gnome.org>

    test charset property

commit eba504d3843155380aa018d4489fdf7209c829d8
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add "charset" property to EmpathyIrcNetwork

commit c924f0a28d0915078fed85267dc057dd4c371f23
Author: Guillaume Desmottes <gdesmott@gnome.org>

    implement new network

commit 9d6ed2d778c6759d2368079291deadbbd669a666
Author: Guillaume Desmottes <gdesmott@gnome.org>

    factor out server params setting

commit dfd79158f96071d135526a9e2d5b530483b57c3f
Author: Guillaume Desmottes <gdesmott@gnome.org>

    remove the New.. entry from the combobox

commit 8df2bb20d64b4f89126145fc75b4f5c63365c215
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add a add-network button

commit 7efef4ee0cd73dca869aebebb9753536af515f40
Author: Guillaume Desmottes <gdesmott@gnome.org>

    remove the account from EmpathyIrcNetwork as we don't use it

commit 9c6242485f86e5c31b7b088e1ea2544924b9d859
Author: Guillaume Desmottes <gdesmott@gnome.org>

    update server, port and ssl settings

commit 5e820310713ed82fc4ab5a282aa072e686379fce
Author: Guillaume Desmottes <gdesmott@gnome.org>

    update network name from treeview when network dialog is closed

commit 319c4ceb453a798dfb6550c25fcff61897644839
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add 2 TODO

commit 7691cff57ab06d5ba991a2a11c0816ce36c58fa1
Author: Guillaume Desmottes <gdesmott@gnome.org>

    rename irc_network_dialog to dialog

commit be205e3968792e42ccb1a6ff12af6bf13d0a5c39
Author: Guillaume Desmottes <gdesmott@gnome.org>

    change EmpathyIrcNetworkDialog API to fit general dialog API

commit 399d86aced1ad16362395617daaa057a77860099
Author: Guillaume Desmottes <gdesmott@gnome.org>

    set EmpathyAccountWidgetIrc to its own module

commit 7854ba82cc9c9b4b36074dc242ac997eb07fba7b
Author: Guillaume Desmottes <gdesmott@gnome.org>

    set irc network dialog transient and modal

commit ce3efd1ab78b29a052b2f07a2daf8c25d194331e
Author: Guillaume Desmottes <gdesmott@gnome.org>

    Move networks model populing to account_widget_irc_setup so we don't have to iter throught it to select the right network

commit 3d8c0d4d330883e8a6481ebe9ad227ff1de45ba1
Author: Guillaume Desmottes <gdesmott@gnome.org>

    gtk_tree_model_get args have to be terminated by -1 not NULL

commit 2fc7677a13b2028cf0a107ac0d5e50ee518fd5c2
Author: Guillaume Desmottes <gdesmott@gnome.org>

    implement add/remove servers

commit 144e3966816d121df927ad29aaf2abd6b3d44797
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Move nickname to the main section of account setting UI and do not set automatically published name when creating new salut account. Fixes bug #515010 and #515008 (Marco Barisione).

commit 069f6c49bb5b252b8105dfbbde3772cf7daafa58
Author: Guillaume Desmottes <gdesmott@gnome.org>

    allow to edit network's name

commit 8931bc6eb266efed81f5957a6d428c1316f88326
Author: Guillaume Desmottes <gdesmott@gnome.org>

    allow to edit servers settings

commit 078c8153c263ec6a90f783eb9027af4d1a88fa20
Author: Guillaume Desmottes <gdesmott@gnome.org>

    display servers info in the treeview

commit f51bb57071aa1bd7157077501ed080221aa0fea0
Merge: 3a714a7... 14ef963...
Author: Guillaume Desmottes <gdesmott@gnome.org>

    Merge branch 'master' into irc

commit 3a714a7eef7df50db645733dd4e2fe81ab2a82cd
Author: Guillaume Desmottes <gdesmott@gnome.org>

    IRC widget: Create the servers store

commit 0f5e43fda726832ad8d03671393f214efc01e146
Author: Guillaume Desmottes <gdesmott@gnome.org>

    don't hardcode user's networks file

commit 78ce1427403e5e2aa3aafae34805575bbc122126
Author: Guillaume Desmottes <gdesmott@gnome.org>

    Install irc-networks.xml

commit 259e84d18e9ff1a045344e1762d5592165d5eab1
Author: Guillaume Desmottes <gdesmott@gnome.org>

    move irc-networks.xml to libempathy

commit 1630c2a6458d29c7ca9453149f6f700ee1c3b768
Author: Guillaume Desmottes <gdesmott@gnome.org>

    IRC widget: don't hardcode user's networks file path

commit 25254c63a55b43657770b9fa899fb87365514bbb
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add libempathy-gtk/irc-networks.xml

commit 1bfcfd8caa4572c5b9aeb215908d0e75c608ab98
Author: Guillaume Desmottes <gdesmott@gnome.org>

    IRC widget: destroy edit network dialog when closing the window

commit 4efe04ce9840071a9b6fdb7f5bae1e72182b2df0
Author: Guillaume Desmottes <gdesmott@gnome.org>

    IRC widget: display edit network dialog

commit 845230d21d421a9114f279ac65b8a66d9f1f8312
Author: Guillaume Desmottes <gdesmott@gnome.org>

    IRC widget: properly remove the network

commit 8ce55a66dad6bba2114b1e218051bc9eba3c778b
Author: Guillaume Desmottes <gdesmott@gnome.org>

    IRC widget: start to implement network removal

commit d80663fdc947fe9414926af3c443cf3c69ede8e4
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy_irc_network_manager_find_network_by_address: don't return a dropped network

commit fbb47e0e91edd53381820584a970254c716e40ea
Author: Guillaume Desmottes <gdesmott@gnome.org>

    IRC widget: add network to the network mgr when we create a new one

commit ff3d346ca9562968b5f6b3dad905dbac4b2d496b
Author: Guillaume Desmottes <gdesmott@gnome.org>

    rename test_no_modify to test_no_modify_with_empty_user_file

commit 87ac2ee99b939ce450be74f5274dc2c27fa7878b
Author: Guillaume Desmottes <gdesmott@gnome.org>

    test add test_no_modify

commit 86c7d78aa4b6f77928c410934a36257e5ff77f00
Author: Guillaume Desmottes <gdesmott@gnome.org>

    irc-network-manager: fix a bug when writing user XML file

commit 354dd231f7fe92df940e9f4bf2e9b004d132c0ab
Author: Guillaume Desmottes <gdesmott@gnome.org>

    create a new network if there is already a configured account using an unknow server

commit a2fc0b784b40f4ba766a98cb26d8f77c8df95cbf
Author: Guillaume Desmottes <gdesmott@gnome.org>

    IRC widget: set port and ssl param too

commit aa752688f3b72ad12d2701399fbd77ab0643aef0
Author: Guillaume Desmottes <gdesmott@gnome.org>

    set server param

commit f2f38af103021672a85de1dfe825e15be1dbba74
Author: Guillaume Desmottes <gdesmott@gnome.org>

    IRC widget: select the network

commit 577a13c2a4b723a6e90cb20785bfecfa456edf35
Author: Guillaume Desmottes <gdesmott@gnome.org>

    IRC widget: get charset param

commit da66be8e9c2252d096eca68ece97dc8cfb849c25
Author: Guillaume Desmottes <gdesmott@gnome.org>

    IRC widget: find network using srv address

commit 5edf83208aeadbf46636a28e9eb2958eeb307223
Author: Guillaume Desmottes <gdesmott@gnome.org>

    test empathy_irc_network_manager_find_network_by_address

commit 1bfcd17c7998378bc6fe6cf58ce846e0c3407a82
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add empathy_irc_network_manager_find_network_by_address

commit 651c0831f7c5c3aec4e345f62c0398e5274c84cc
Author: Guillaume Desmottes <gdesmott@gnome.org>

    IRC widget: save password setting

commit 855a9fd897248b6afd4c7e26fe5974e702d9d418
Author: Guillaume Desmottes <gdesmott@gnome.org>

    remove old rotten code

commit 78310a48737528d5d496f1a03993a5645b437d4e
Author: Guillaume Desmottes <gdesmott@gnome.org>

    IRC widget: save settings

commit a592ca54ef9c2dbb10ab4d2c0824176e54c9f076
Author: Guillaume Desmottes <gdesmott@gnome.org>

    setup IRC account widget

commit 14ef9632efc1e0178053e68fd3361a68a0132531
Author: djihed <djihed@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Arabic Translation by Djihed Afifi.

commit 1dcf7bc5f240f8c4f60d6fb416c5ea9c40e89e5f
Author: icq <icq@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Galician Translation.

commit ce8773543c7c1d83a24073058d5ce9f6b89d3458
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation by Jorge Gonzalez

commit 252319159170c97a71d20c47db831570e95a8617
Author: Guillaume Desmottes <gdesmott@gnome.org>

    some code cleanup

commit 2ad1f5a50e1ec89211aac1856ae5408ea0d57f38
Author: Guillaume Desmottes <gdesmott@gnome.org>

    remove useless function declarations

commit d2b093b19f402309bde3e54d283f9dbbe00867f6
Author: Guillaume Desmottes <gdesmott@gnome.org>

    remove the network id from the store

commit ff353b1215a4d7e89e3499f3653d16c9df139679
Author: Guillaume Desmottes <gdesmott@gnome.org>

    remove debug print

commit 1b72639d4ac13b8a0bb92456a65f634ff32ed03e
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy-account-widget-irc: instantiate the IRC network manager

commit a71babc2f30569808fef8cc5540490bbdc541cca
Author: Guillaume Desmottes <gdesmott@gnome.org>

    fix copyright and relicense IRC files to LGPL

commit e1a2ac951fec7ef11aaeaf3da6b62c036b2be7e9
Merge: 915e5f6... ec3abba...
Author: Guillaume Desmottes <gdesmott@gnome.org>

    Merge branch 'master' into irc

commit ec3abba0aee010621b096c854851938d9501b3fd
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove EmpathyPresence object and have "presence" and "presence-message" properties directly in EmpathyContact

commit 561b64c3d1a9e323fee7e70ebcade3ac92e96811
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add *.loT to gitignore

commit 28b3e73e8e9c59cced1a09d46983445d04333c03
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    fix src/empathy build. empathy-conf was moved to libempathy-gtk. Fixes bug #511679 (Guillaume Desmottes).

commit 915e5f6d71da5ce14b2462f2db850c90be7546bf
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add IRC objects to libempathy doc

commit 7e29bc7eed7fd576defe68c28767eb9ac1e3fd3b
Author: Guillaume Desmottes <gdesmott@gnome.org>

    fix test

commit cd89041f40ffff2c259953a446e25f22999e7888
Author: Guillaume Desmottes <gdesmott@gnome.org>

    write dropped server to user's XML

commit 7645da39cf40bcd0bf5d15bb20892ce5d22d71f2
Author: Guillaume Desmottes <gdesmott@gnome.org>

    only write to XML network loaded from the user file or which was modified

commit d823a47ae7ec95b3411a09649b5b6c7d838ccc2a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a public method to change the contact showed.

commit cda9176a898146402dade6aaee8d64fdc52535b6
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Move empathy-conf to libempathy-gtk. libempathy do not depend directly on gconf anymore.

commit eab9d05a4d4239cc27a93afa40f9c9995a90d5f5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Try to load dtd and glade files from the srcdir first to aboid having to install them each time we change them.

commit 19aab43619c7099feecd8db792f800dc5c304c5c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Change "Edit account details" to "Edit account" because it gets too long in languages like french. Fixes bug #511048.

commit e5f4aa04cb6a843b2568cabe0cfb577e6bce983e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update python binding and docs with recent code move

commit 8cdfa74576bf8b23593f476e4b99f2004bc473e1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    libempathy-gtk do not depends on libxml2 anymore.

commit 19b2dee2137891cabec0794d3085141142ddddac
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Move empathy-contact-groups to libempathy, it has nothing to do in -gtk

commit 68bf91ad419c27ad9f08bf0ece8ecd85efbc25e5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Move empathy-status-presets to libempathy, nothing to do with GTK

commit 81043c7e575470bd2469016865e7a36b132f587d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Replace Enable/Disable button by a toggle cell in the account treeview. Fixes bug #501467.

commit f635a2aaa410e44d7c366d6da2be20ed16e30907
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Improve release script

commit f25aa35eb9dc55a0a04ef03aaa983e4936efcfc4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Respect CALL feature when clicking on the contact list's microphone icon

commit b95dc4d0eef1173bedc982b736b8a6962b74c8e7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not take show_groups in empathy_contact_list_store_new

commit ca47256ed7e6dd300a5faae259aa22ecfa4d989f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a property to have or not groups on EmpathyContactListStore

commit 64c4e733a0e9fc68a27706168545094fc39580c5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a features property on EmpathyContactListView to enable/disable each action.

commit dba3cb90b208eeaaea4c9b8e1a21c9f2da9b95de
Author: Guillaume Desmottes <gdesmott@gnome.org>

    start to test modifications with 2 network files loaded (not finished yet)

commit fc223b6f726d789feb34f8e58fb94a5b3741c266
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add a network to default-irc-networks-sample.xml

commit 82764ce1ad149d04cb3e2d5f4a10c80b72b3d6ff
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add another test network in user-irc-networks-sample.xml

commit 0db855f4fdbea9f1959731ffbe6ac6dd5db00042
Author: Guillaume Desmottes <gdesmott@gnome.org>

    no need to create a temporary string when writing ssl attribute

commit 92d531a581a3a7d04757fd45ef0affbb7f7d2733
Author: Guillaume Desmottes <gdesmott@gnome.org>

    start to test networks XML file save

commit b49d436924f1e49ef7c01e1e07cc2ae9ab1694de
Author: Guillaume Desmottes <gdesmott@gnome.org>

    start to implement network XML file save

commit 50b90122d1defed21d884348af63a7da47057d99
Author: Guillaume Desmottes <gdesmott@gnome.org>

    free buffer when copying user's file

commit 12c0e5a30538d486f20b8ac5b7814d1f39b87abe
Author: Guillaume Desmottes <gdesmott@gnome.org>

    copy user's networks file so we're sure to never change the master copy

commit 7a8796eef456f3fd6d098e94b999dc533d6faf8b
Author: Guillaume Desmottes <gdesmott@gnome.org>

    ignore user-irc-networks.xml

commit fd44318a5d3787f93df653158b7e5b12cb2726aa
Author: Guillaume Desmottes <gdesmott@gnome.org>

    test loading of global and user networks file at the same time

commit a7c37f1a8f9950e3a5acfd73204030a81e101326
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add tests/xml/user-irc-networks-sample.xml

commit de124d5e9ac4ce695993be4b6c45c1aacbe5676c
Author: Guillaume Desmottes <gdesmott@gnome.org>

    test user network file parsing

commit e35c56f38bc8a85a8fae37b7cb74eea8bf105122
Author: Guillaume Desmottes <gdesmott@gnome.org>

    ignore IRC network having the dropped attribute

commit ae6b20744659a62a6ea08b36923a2427ad011677
Author: Guillaume Desmottes <gdesmott@gnome.org>

    parse user networks file

commit 55d6fbd5a8e8a872bd17a9ca19f3c406ece828ab
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a program to show chat logs

commit a6a85c1c80728f6dd313b6e6936a872fd34c2af6
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a cancel button on the custom message diaog

commit 0a0d4a96d37c645ba54d170190dc3c1c4215a8b8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix a leak: unref the GtkListStore for presets messages

commit 392832e8535627b5d8f0416abc016e197623036a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix alignment of entry boxes in jabber account widget

commit 2b2f9d95f002f058ca820121820cae631065b408
Author: Guillaume Desmottes <gdesmott@gnome.org>

    test empathy_irc_network_manager_remove

commit 32a1557a2009981be9a7f08e6e87935f82193dc0
Author: Guillaume Desmottes <gdesmott@gnome.org>

    implement empathy_irc_network_manager_remove

commit 99bfef2aa7b1cf4535b0d1fb2ca03a9d1c47aef7
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation Jorge Gonzalez

commit 6f63195b261a0b74f52ff478e6c076971a301763
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Unset account parameter if user gives an empthy value.

commit 89e17be97445081dbc30f2649b458e764e4ffd72
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove useless function declarations

commit 9cbf2f7914dca1973d539906d41a9eca6cd0040d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add shortcuts to jabber settings

commit 148c951ebb299dbb3c54e2628e8654a1deb2b9e1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    New UI for Jabber accounts, gabble >= 0.7.2 is required. Fixes bug #507840.

commit 57e060044e80f7aba14c73a0789c96ac34c74e0a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Include m4 files and autogen.sh in tarballs

commit e06a4080cc11e37932c5231e6d692d3265381c25
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix state order to have offline contacts last. Fixes bug #509906.

commit 5b281b7b252fef97d286d905da152028d79177b5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Show/Hide main window when chaning corresponding gcong key.

commit f2b3513923e47f9f8c8b9f15267270e5e98bf1d1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not set MAIN_WINDOW_HIDDEN gconf key if not needed

commit 84d4808624a7ee6ce02212fdb3b882e65da6038d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not install tests programs

commit 540fb713e6e3efadc8dab0c6a7544515c2d198c4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove not implemented and not used empathy_time_parse_format function.

commit 136202feaaee8e02f182b45045acd78acee3aa37
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Bump version to 0.21.6, this time we really got 0.21.5.x right!

commit d8148a90f77742490bc80dcd85df2dc2096829b1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Icon location changed, forgot to change in empathy-account program.

commit 03316faa37ad43c70255a887d7d6e3bf0f8424c1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Prepare for release 0.21.5.2

commit cb42a5dfad0d4a360c1ea1eb028f905ac511e547
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update API documentation generator.

commit 4fb2beee8f5afc4be9bc2a3581885d6133e1c5b7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update python binding for new API.

commit 77b5e8af3340aa28c547c93e121da99b86e54e5e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Rename BlockType to EMPATHY_CHAT_VIEW_BLOCK to respect namespace

commit a2f64ca318d0fb217ee5dd03c9e760e13c1d8162
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Change EMPATHY_AVATAR_CHOOSER_TYPE to EMPATHY_TYPE_AVATAR_CHOOSER

commit c25814ca21b86c1d41ebec1d8eb96ac0048680af
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Ignore ssl errors for gtalk profile by default otherwise it won't connect.

commit 985d1764ff2a4ffe99e63c9ab5fc88a7fea79046
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a missing include

commit ebd06a1485a67d733e6b72a7e04d7a6e1607bdce
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove deleted API from python binding

commit bad463d442d9de354207eda1bfa8b47e591db612
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make use of tp_strdiff() to be NULL-safe. Fixes bug #509656.

commit 3a7cefa8733d7ddc339b6c778e2e89b3225162d8
Author: aihana <aihana@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated ja translation (Takeshi AIHANA)

commit 656515cef828e3880247c39f4106122ce999e741
Author: dnylande <dnylande@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated sv translation (Daniel Nylander)

commit 04ffb606121d4d748405996d11fe9d0c3b0a63be
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Bump version to 0.21.6.

commit 0d505e7b97251a21e3d47f8c1e9d3ce1e0095311
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix authors for fixed bugs in NEWS and release.py, Bump ABI version and prepare for 0.21.5.1 release

commit ca88ea19bb8af75640c6ff44947a13f00a084b7b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Improve a bit release.py script

commit 6a4b74ad6f1cf9db4316248ee96bab8aea158231
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove action from release.py script

commit fa84e4a01a4adcc521fdda51e110d0e000cf83e8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update NEWS for 0.21.5 release

commit 2a5e9113da661300eaecd65be1d9743f82cccf4a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Scalable images are .svg no .png

commit 40a61db56c153a0b79342a6e6a7fc2a10ab2ab46
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make use of PresenceChanged signal now that it got fixed in MC 4.53. Fixes bug #466960.

commit f61121783b135b15725449a27fd99aee3a37d36d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Use O instead of 0 for smileys face-angel and face-surprise. Fixes bug #508520.

commit 98f7452d60cc7f1aab88c9cc7d91e1b2d80637fd
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Improve release script

commit 9ee2e702af4ef469b8a07b0cbc69c82071b99c82
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation

commit 929832e90a949a9d517033b5dc3cf446f8f4d159
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Change "Autoconnect on startup" to "Automatically connect on startup".

commit 2a08d717029fb33ca6dab032bc4c1c16ec47c965
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add sanity check to public API

commit 3c79d57d16347a2207d28d9afd3235a95b409cf4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add im-sip icon picked from pidgin.

commit 2dc61dd2a701f90cf16771e60ba8cbb5260e54b8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Cleanup icons: Regenerate icons from SVG at 16, 22, 24, 32 and 48 size. Change xmpp-link-local icon from apple's to the avahi icon. Still missing SVG for im-message, im-message-new and user-typing.

commit c62f76890dc76aad6882ebb2444c9d11a0741a5c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add option in preference to automatically connect at startup. Fixes bug #499885 (Carl-Anton Ingmarsson).

commit 9566b626ac9731a94a9b824765a021b9505baf1d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add avatar token in logs and load avatar from cache when getting logs messages

commit 4a9441fd694cdca91355712576a9b3142a98c1b9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Reset status message when coming back from away and the status was manually set to away.

commit a1c110f16ccd8c7be8edaa6e5c7c0fcfd75d9cdc
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update profiles based on N810's.

commit 811e1e092a8d5cf374648ca05c8eac82288bd2ac
Author: Guillaume Desmottes <gdesmott@gnome.org>

    check-empathy-irc-network-manager: test empathy_irc_network_manager_add

commit fa6a77e797e30d14a41503ae579b9838dc4a29d3
Author: Guillaume Desmottes <gdesmott@gnome.org>

    properly implement empathy_irc_network_manager_add

commit 4ac452a8e0add3ed1fa9c6fc3ee1e7084e59a7b9
Author: Guillaume Desmottes <gdesmott@gnome.org>

    remove id property from EmpathyIrcNetwork

commit 803bc27a3e1c252d23015859930bd390db12edd9
Author: Guillaume Desmottes <gdesmott@gnome.org>

    check-empathy-irc-network-manager: networks order isn't garantee anymore

commit fb3fb18688c7354f0b896c869160442191920aaf
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy-irc-network-manager: use a hash table to store networks

commit 884d28872d050501e41451fb951ba8eef895ac9d
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy-irc-network-manager: add a constructor

commit 7c9d4b14061961610a6cd2854085d8e06ce13d58
Author: Guillaume Desmottes <gdesmott@gnome.org>

    check-empathy-irc-network-manager: test parsing

commit 36c0e555a1a2101dc3e8f94da90f7dca78ed2189
Author: Guillaume Desmottes <gdesmott@gnome.org>

    check-empathy-irc-network: move network check code to check-irc-helper

commit d7249e46a7e954a57a934e0e47d63602520693df
Author: Guillaume Desmottes <gdesmott@gnome.org>

    check if the server is NULL in check_server

commit 44671f9dcdb26292e80ffa627321353f44d85d28
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add tests/xml/default-irc-networks-sample.xml

commit 335a3684f49f49b2f37e3a539547ca49ee8b9b07
Author: Guillaume Desmottes <gdesmott@gnome.org>

    create check-irc-helper containing usefull IRC test functions

commit 1af620a7d430cb3c717cb3f1a787455c96feba51
Author: Guillaume Desmottes <gdesmott@gnome.org>

    Change parsing code to fit new XML format

commit 9ccfb46be9613c0b1fd560c0d39c64f6f72bf4a4
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy-irc-network-manager: parse the global network file

commit 9bfd3a56d62ca1dd18aa4ef074ce48725a3e14ff
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy-irc-network-manager: take 2 file paths as constructor argument

commit d2e534ae577c9ddd8c3521244c4ca3a88d2fc687
Merge: 733a496... 4737fac...
Author: Guillaume Desmottes <gdesmott@gnome.org>

    Merge branch 'master' into irc

commit 733a496a839d79ba65b44276696279e431d7ed22
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy-irc-network: emit the modified signal when we call empathy_irc_network_set_server_position

commit 33b540dfe799c1d5b21492e12d4a7506eebb1ef3
Author: Guillaume Desmottes <gdesmott@gnome.org>

    check-empathy-irc-network: test empathy_irc_network_set_server_position

commit af06754e64d33ddb0f58d23b784da6c92ea7cca0
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy-irc-network: add empathy_irc_network_set_server_position

commit 432db7ba55f3ea5619853ab68324bbceea61cc43
Author: Guillaume Desmottes <gdesmott@gnome.org>

    check-empathy-irc-network.c: test is network's modified signal is fired when we modify one of its servers

commit e1a6505c145327e28b0464b5f94ae59bb4474cba
Author: Guillaume Desmottes <gdesmott@gnome.org>

    emit the modified signal when a server is modified

commit dc53bfd4104ec850b081d0e7da8c01862d35279f
Author: Guillaume Desmottes <gdesmott@gnome.org>

    check-empathy-irc-network: check if the modified signal when we add/remove servers

commit 3e71691602735f9210eb8e6389fc8bb97b479e8f
Author: Guillaume Desmottes <gdesmott@gnome.org>

    check-empathy-irc-network.c: test empathy_irc_network_remove_server

commit 1fb73f7e98bf397d7b0656784881a8913cd6f211
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add empathy_irc_network_remove_server

commit ec6638579ec741b7623e1052ee182e0d2bb8da76
Author: Guillaume Desmottes <gdesmott@gnome.org>

    check-empathy-irc-network: test empathy_irc_network_add_server

commit 13433bc2d27f165b8216747ba300d26fc5cbced6
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy-irc-network: be sure we own a ref on each EmpathyIrcServer

commit 325ef172206fa2618287729d5285d339448966b9
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy-irc-network: empathy_irc_network_get_servers returns a list of refed servers

commit 4737fac5ec6be27064bcfe313519fa4aaa0b56ad
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not create m4/Makefile

commit 81cf7d6a9f836d380d913de3de48ee9122af88f7
Merge: e34f06a... 6bb52ae...
Author: Guillaume Desmottes <gdesmott@gnome.org>

    Merge branch 'master' into irc

commit 6bb52ae94257a440f24f0fe5efc97fd321c6f115
Merge: 9784362... 4819535...
Author: Guillaume Desmottes <gdesmott@gnome.org>

    Merge branch 'master' of git://git.collabora.co.uk/git/empathy

commit e34f06a2e2e53723554fa8c2a7010a86cf6f8068
Author: Guillaume Desmottes <gdesmott@gnome.org>

    check-empathy-irc-server: the modified variable have to be static

commit 85b9c46a32fb7152724ec1c75841065aae16fc85
Author: Guillaume Desmottes <gdesmott@gnome.org>

    check-empathy-irc-network: test the modified signal

commit 48195353e0d04516a9d221a33692a1bb30345cc0
Author: Xavier Claessens <xclaesse@gmail.com>

    Fix "make valgrind". Fixes bug #507656 (Guillaume Desmottes).

commit c7a8e059c3c2a396efa65ecd87b870c7cb121ee9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix "make valgrind". Fixes bug #507656 (Guillaume Desmottes).

commit e7c01466886b18730ee675e86d6221bf211d92cf
Author: Guillaume Desmottes <gdesmott@gnome.org>

    check-empathy-irc-network: test property change

commit 118e935e128e71a8b80e74b72236256aeba6e32f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Build tests by default if dependencies are installed.

commit 799ef715f55e092bda4f10f49308a509c682091a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a python release script that uses GIT

commit b27ead6e0b8950eded8bdb7b85008bf476310463
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    No need of a translation ChangeLog

commit a95a12779fc5c937f25a6a0c4a768e17776d6076
Author: Guillaume Desmottes <gdesmott@gnome.org>

    test empathy_irc_network_new

commit 8d912258feae45c9700dbd9dc408a8ddda5b3fbe
Author: Guillaume Desmottes <gdesmott@gnome.org>

    irc-network: add the modified signal

commit 95338859b4f1bcdacff1873b4f4bb83ad54ed83a
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy-irc-network: the nework's name don't have to be construct only. Set NULL as default value

commit d86a3390ebacbd88df2aa9ded25021b60e54ca43
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy-irc-server.c: port can't be 0

commit ae3b90422c97a9a1080f792cb962bf04154ea538
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy-irc-server.c: set NULL as default address

commit c9591bab3699eaae01d603d0b152fdbe9f8f6fad
Author: Guillaume Desmottes <gdesmott@gnome.org>

    check-empathy-irc-server.c: test the modified signal

commit 60dd2703f835a3fc7c1c78a94727a4ee241a0217
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy-irc-server.c: add the modified signal

commit 483aec8b93d13a682be21ff569968ece36f00217
Author: Guillaume Desmottes <gdesmott@gnome.org>

    Revert "empathy-irc-server: emit "notify" signal when properties are changed"

commit be307f7d7e1865559605e5741b631f195918c8a6
Author: Guillaume Desmottes <gdesmott@gnome.org>

    check-empathy-irc-server.c: test property change

commit d66e886bee27a2418dab0f94f0aae4edfdcde537
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy-irc-server.c: properties don't have to be construct only

commit 9181409df01ada9a908fdedb4894f5977f8a8b9c
Author: Guillaume Desmottes <gdesmott@gnome.org>

    test empathy_irc_server_new

commit dabbcde71760a8454b38a4e90454e84c9c1ef5fd
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy-irc-server: emit "notify" signal when properties are changed

commit d3344c22467a270731f222a580bef98d2199ead8
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add empathy-account-widget-irc to POTFILES.in

commit 7326d702e717d1789429d3c0447a1a978219f77c
Merge: ec6a65e... df87971...
Author: Guillaume Desmottes <gdesmott@gnome.org>

    Merge branch 'irc' of git+ssh://projects.collabora.co.uk/home/cassidy/public_html/git/empathy into irc

commit ec6a65e1b4edc05805bfc250823ebc0af9402909
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add tests/check-empathy-irc-network-manager.c to tests suite

commit 3f0b6f44ae9deed23806a39fd22fcfad1a89e68f
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add tests/check-empathy-irc-network.c to tests suite

commit 2175ca6ccac4790b50a858e251519dfbf8222ed8
Author: Guillaume Desmottes <gdesmott@gnome.org>

    really add tests/check-empathy-irc-server.c

commit 1224b274221ed5ed1c7e56be210e6896326ca8cb
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add tests/check-empathy-irc-server.c to tests suite

commit 1441ec2ccc787f486c42aa24253d74eaaac65ccf
Author: Guillaume Desmottes <gdesmott@gnome.org>

    update build system according new location of IRC objects

commit e1b201353c2fea2d9468750ea3a7ebbab437b3e1
Author: Guillaume Desmottes <gdesmott@gnome.org>

    move empathy-irc-network-manager, empathy-irc-network and empathy-irc-server from libempathy-gtk to libempathy

commit df879712bde35b86db101cf5940c2dfce3634299
Merge: b958778... 9784362...
Author: Guillaume Desmottes <gdesmott@gnome.org>

    Merge branch 'master' into irc

commit 9784362945f00667b71df965185f6bec0aa5fd3f
Merge: 2636bfb... 7aa9cf9...
Author: Guillaume Desmottes <gdesmott@gnome.org>

    Merge commit 'origin/master'

commit 7aa9cf9f355528a69abf402359a8215621b87166
Merge: 8005669... 0baf6ab...
Author: Xavier Claessens <xclaesse@gmail.com>

    Merge branch 'master' of git+ssh://xclaesse@git.collabora.co.uk/git/empathy

commit 0baf6ab43efc3ee94af6120a29d440f374e0388f
Merge: a07cb62... 9776db3...
Author: Xavier Claessens <xclaesse@gmail.com>

    Merge branch 'master' of git+ssh://xclaesse@git.collabora.co.uk/git/empathy

commit a07cb624afe33826a596934770eb36a87aae658c
Author: Xavier Claessens <xclaesse@gmail.com>

    Fix setting avatar. (Sjoerd Simons)

commit 800566908fd8d9d87aafa25224e204c342050b13
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix setting avatar. (Sjoerd Simons)

commit c30e2f37b8da434b81cea7dfe13f2a8aec687048
Author: kmaraas <kmaraas@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2008-01-03  Kjartan Maraas  <kmaraas@gnome.org>

commit 17c0363b047ad8b7cbfb508f41fefead7b8a26bc
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add a remove option to delete a contact group. Fixes bug #459520 (David Turner).

commit 9776db336c2d7f44158e00b2863b65bf177d1667
Author: Xavier Claessens <xclaesse@gmail.com>

    Add convinience functions empathy_chat_with_contact() and empathy_chat_with_contact_id() to start a chat with a contact. Make use of it when appropriate.

commit c847ef7be41a4b65c8a315748e6550afc58e0534
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add convinience functions empathy_chat_with_contact() and empathy_chat_with_contact_id() to start a chat with a contact. Make use of it when appropriate.

commit e079810e7dbeee747d9260cc18daae473b03761b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add back empathy_tp_chat_new_with_contact

commit 0fc920cf3714ffa8a31db4250943079cfe2b9af4
Author: Xavier Claessens <xclaesse@gmail.com>

    Add back empathy_tp_chat_new_with_contact

commit 2e62de8109a4d9e718a7ca955beb35371481a8d3
Author: ymarcheg <ymarcheg@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Occitan translation

commit d7de30fe9310707a61e596b157fb56e826cb377a
Author: claudep <claudep@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-12-30  Claude Paroz  <claude@2xlibre.net>

commit 335a0e50f0e04aa47636460f3375392e87f654ec
Author: claudep <claudep@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Removed translatable property on stock labels.

commit 0ab38bfb58ae04e6b7bf784eb12256835842342f
Author: dnylande <dnylande@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    sv.po: Swedish translation updated

commit d4e907893e8f6dc42461d2743a16102e0d22abc3
Author: dnylande <dnylande@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    sv.po: Swedish translation updated

commit 997c5b89fa5208f6773e254460e242603a39b8cd
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation

commit a4004017570744524ff2d0af3efab045821fd46f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Revert "merge git work"

commit 0cfd80847f0d66967f56c7d6b3eb46793f725859
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    merge git work

commit 748631b8a2ad06ad19b83e59102e0f963cad00ae
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Not used anymore

commit a8138db92bd28a7c2b6f97a4d9802e147ce46620
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add more files to gitignore

commit e217378214e24f9181d6d99764a7c5a916db4324
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove useless m4/Makefile.am and add ChangeLog to distcleanfiles. make distckeck works again

commit df070ac16acd85462b0cb56bd399b382d5f0d235
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Chandlers leaves when there is no more channels to handle. Translate call window title

commit e745fa62176fdc3a3286f22f220c16afeff267c8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Set call window title to contact name

commit a09d162986496e7bcac0dbd595603943f63cdab4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Make empathy_call_window_show return the widget

commit d3a3f8de41c274442117ad4c173eade43b838f80
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Wider list of participants in group chat/IRC channel. Fixes bug #447851 (Rohit Agrawal).

commit c50b938d028312bb85fbf9ceed005545f9cc40b3
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix build of tests

commit d947e397d3ff48fd244852e6f8c460e821404105
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add "check" framework support. Fixes bug #505622 (Guillaume Desmottes).

commit 67fe3e5df6ee369aa01f47a6a7409fafeda4293d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Remove import gossip theme task, it's done now

commit 5ec19407d91e8e0e2a332c1aed378e983e442bfc
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Simplify chat theme system

commit 2938c9d982778c3a6051647331ef8f571da77680
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Simplify contact_list_view_cell_set_background()

commit fcda8d02102edfed1e6b480171f85d572333dcf1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add missing files

commit 58f5023e44db84473768da3be51b59ecd55d05d0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Generate ChangeLog from git log

commit 95138e3bbe5f6ddc907e3b457dd2c4a3dbc1ebad
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Clean up

commit 1bde9300ae89c1ba94af2568585a7af87f10d7f5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    add vim's backup to gitignore

commit 872d54e7f31500d309d75af3befe69dd6ca3cd4a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    add call chandler and service to src/.gitignore

commit 1a5ccc97e1966188a9cf178edd762683278c8b05
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add AC_CONFIG_AUX_DIR(.) to fix autogen.sh

commit b958778c4e8971e0ffc4befb447c2acc8a9d047e
Merge: d679e31... 2636bfb...
Author: Guillaume Desmottes <gdesmott@gnome.org>

    Merge branch 'master' into irc

commit 2636bfbdee4c648a0a31f82194b2b3b813b191ed
Author: Xavier Claessens <xclaesse@gmail.com>

    Fix build of tests

commit 0ab5fb430e1fc364280f6fd5768d0541d0e8fee3
Author: Xavier Claessens <xclaesse@gmail.com>

    Add "check" framework support. Fixes bug #505622 (Guillaume Desmottes).

commit 019af6290e8c4b7265651c29bf4fb331aa9bdf70
Author: leonardof <leonardof@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-12-27  Leonardo Ferreira Fontenelle  <leonardof@svn.gnome.org>

commit a9ccbbd4a3b585c2f52f5467498d273c2df83ca2
Author: Xavier Claessens <xclaesse@gmail.com>

    Remove import gossip theme task, it's done now

commit e9aee49e8ffac81fa8258dddeafd33017143843c
Author: Xavier Claessens <xclaesse@gmail.com>

    Simplify chat theme system

commit 97d009ffd1c85e90d5087a05c9c77e6e2a42455b
Author: Xavier Claessens <xclaesse@gmail.com>

    Simplify contact_list_view_cell_set_background()

commit 0753b8a265f85adfc74ab91725dbf28ce7968314
Author: Xavier Claessens <xclaesse@gmail.com>

    Add missing files

commit 9fb965fc7d56238774420b4075694717c4cfb992
Author: Xavier Claessens <xclaesse@gmail.com>

    Generate ChangeLog from git log

commit 849a9e575dc257d43857a1f4c8a4a36e704b890b
Merge: 8169475... 523031e...
Author: Xavier Claessens <xclaesse@gmail.com>

    Improve .gitignore. Fixes bug #505585 (Guillaume Desmottes).

commit 8169475df103b38fddbd683d40d023f65e47ba62
Author: Xavier Claessens <xclaesse@gmail.com>

    Clean up

commit ee1b8192a85faa4d2a76bbc6e9038c7b9492d579
Author: dooteo <dooteo@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-12-27  Inaki Larranaga Murgoitio  <dooteo@euskalgnu.org>

commit bb9428571e2c59388e2ef91915f5f26eae1f599f
Author: Xavier Claessens <zdra@zdra-desktop.(none)>

    Add AC_CONFIG_AUX_DIR(.) to fix autogen.sh

commit 523031efae62404e5fc0ce910d8bb7051fb5ea0f
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add vim's backup to gitignore

commit d679e317ea6cb3abe13cb510ab778c9d6f3e4c08
Author: Guillaume Desmottes <gdesmott@gnome.org>

    empathy-accounts-dialog: use empathy-account-widget-irc when needed

commit 0f0b565e266442c5d91d50c9454d23de3eb38c1c
Author: Guillaume Desmottes <gdesmott@gnome.org>

    build/install IRC account files/data

commit bde4d353ae320ce72fca8d9cd5e678dd9caac97b
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add empathy-account-widget-irc.[ch]

commit 2ad9b6e8aa7a53dda048e978a0b41d42af8fc371
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add empathy-account-widget-irc.[ch]

commit 5a5bd0b86be42cf076816d0bad2632718db8a3b3
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add empathy-irc-network.[ch]

commit 01f3759de974afcd4eb8550dd1fc64103eddf1af
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add empathy-irc-server.[ch]

commit a20f9d1a059c58c2ddce44d4df745cd2d62386c7
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add empathy-account-widget-irc.glade

commit 82cbcf2042eebb922eceaaed8963dce56e8fd505
Author: Guillaume Desmottes <gdesmott@gnome.org>

    add call chandler and service to src/.gitignore

commit 28a72d46bd1a14b1132ac25fabe54f961818000f
Merge: d1b2a23... dc80166...
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Merge branch 'ignore'

commit dc801660972b7d6218312d08ce02fbd0abe125f2
Author: Xavier Claessens <xclaesse@gmail.com>

    Improved gitignore

commit d1b2a23dc7c952823c0eb2cf733a3a158b28d6c6
Author: djihed <djihed@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Arabic Translation by Djihed Afifi.

commit ac76370741c8bc70ea44f6e35901b5979a1dd873
Author: Guillaume Desmottes <cassidy@cass-lpt.(none)>

    add python/.gitignore

commit dabef091b01f7cbb9915bc99e1d7c0c02ac7bd46
Author: Guillaume Desmottes <cassidy@cass-lpt.(none)>

    po/.gitignore

commit 52a2a6a9bf3e3a8fc63cc36c4e55d372e53b293d
Author: Guillaume Desmottes <cassidy@cass-lpt.(none)>

    add src/.gitignore

commit 1c5c55a199cdbe3554688aab2799393f68a53fcd
Author: Guillaume Desmottes <cassidy@cass-lpt.(none)>

    add megaphone/.gitignore

commit 442768fbd557466e8c477323eebde84af4f677d3
Author: Guillaume Desmottes <cassidy@cass-lpt.(none)>

    libempathy/.gitignore

commit 166e09ec51f157cdf2e7544195527714d82f2e3b
Author: Guillaume Desmottes <cassidy@cass-lpt.(none)>

    add docs/.gitignore

commit 3a74e946b4452d4b4591e7d5baf1c4c768284daa
Author: Guillaume Desmottes <cassidy@cass-lpt.(none)>

    add data/.gitignore

commit 09418e309ec64ae5183c8cf2844949ef84976df7
Author: Guillaume Desmottes <cassidy@cass-lpt.(none)>

    add .gitignore

commit 084dd6bd4bae56aaafbe6f4e86c283a4dfac18db
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Check if append_event is implemented by the theme before calling it

commit f1782bb56b361c4aa204b01fa7f541cf69a2624c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    New chat theme engine imported from Gossip (Daniel Gryniewicz, Xavier Claessens).

commit 5dd68f22501ec46680d71c0a3be70f8cf8149baf
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not use gtk-new icon for new chatroom. Fixes bug #490153 (Michael Monreal).

commit 0d7ea80479c1f20e1bc8831c0e260040c19286dc
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix focus and text selection in accounts dialog. Fixes bug #502932.

commit 56db52d6345893aa2c1f961e46132cf963ac522b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Simplify empaty_window_present, empathy_window_iconify and empathy_window_is_visible stuff

commit 24aadac3b2da4c20071efa51b036d5dd3a9bc268
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not set main window as parent of new conversation window.

commit 68bb24084cfec8515c8ca323c96015028fdeea14
Author: kmaraas <kmaraas@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-12-19  Kjartan Maraas  <kmaraas@gnome.org>

commit bf32048fc1468baca12201a8978a28ed5a4f1ed3
Author: aihana <aihana@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-12-18  Takeshi AIHANA <takeshi.aihana@gmail.com>

commit 2cd830bba52c44325533256ff2f796478f454ad7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Do not merge ChangeLog and ChangeLog.old

commit 23380a492ea4a4380cbe5c4cde66368c18464a8f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Prepare for release

commit 91335b6d284f3f1cbf72f69095b04aed0eb3378b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix merge conflicts in po/ChangeLog

commit 58e8693e042ce8b44e304b4c1fd3752e2b49031d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add 22x22, 24x24 and 48x48 status icon sizes. Partly fixes bug #469902.

commit e2bc9ade6ef36b3787c95dff1ae839135e76e28f
Author: lferrett <lferrett@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-12-17  Luca Ferretti  <elle.uca@libero.it>

commit 0e94ea9f72278ea1c7b0121c5aa62692e825fa35
Author: espens <espens@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-12-16  Espen Stefansen  <espens@svn.gnome.org>

commit a43ac6298ed87612e5c59ed93f56051e92f50182
Author: dnylande <dnylande@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    sv.po: Swedish translation updated

commit 0f45aeef9187da995ab04f076c59e10a3d983ada
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Fix build if assertions are disabled. Fixes bug #503609

commit e519229023bbb289d6aa04d04fd91ce4cecb92f3
Author: mateju <mateju@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Slovenian translation

commit 419860b9404ac780906b28b91bb502ae44a3ddc3
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Have to append a value before doing anything otherwise the array's size is 0

commit 6d0ece4ef502c6f2330c60f2d54a711e9e464470
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Replace g_array_insert_val(array, 0, handle) by g_array_index(array,guint,0)=handle

commit 89d3c4cab2b8ea2d97cac20529b75eae89c639a8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Cache avatar pixbuf in EmpathyChatView to avoid having a new pixbuf in memory for each message a contact sends

commit 6e6405ccd6f7a49673edfe138ba7019a4c3b819f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Generate ChangeLog from svn commits. Copy generator from epiphany

commit 03f636032818939cae25f1fc5abd1ee5609dfbda
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Correctly store/restore presence when NM state changes

commit acc4790f436b5021bed3d14eda7e540759f29fe3
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Split EmpathyContactFactory to have one EmpathyTpContactFactory per account

commit 3ce6b0e8e79231faa52fd1490300c4ad4b49e1bc
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add help menu in chat window

commit ce60229ccb30cc012926c389e4665a56921b5cb0
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated spanish translation

commit 22159275448f7670146b18704617d5987a786826
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-12-06  Xavier Claessens  <xclaesse@gmail.com>

commit 59b6fe4212cbb1b8e8712995bf59e26a0039964e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-12-06  Xavier Claessens  <xclaesse@gmail.com>

commit 8766460959e52ee727a83d5a183fad8f665e6b03
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation

commit aca90cda6126e0c77e1bbd23b320162f2cb727e8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-12-05  Xavier Claessens  <xclaesse@gmail.com>

commit 8f90ae25de1f78fa264b3e83e53ca1f372678237
Author: aihana <aihana@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-12-05  Takeshi AIHANA <takeshi.aihana@gmail.com>

commit 9a9b3a7e354cb69e39d7802f6dd53357734504c2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-12-03  Xavier Claessens  <xclaesse@gmail.com>

commit d152f12b510d64fb0fb2c477b6c8c14180cba4c8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update NEWS and configure.ac for release

commit 6794518f434a671c65dd583364adbd814807f72c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-12-03  Xavier Claessens  <xclaesse@gmail.com>

commit 9503a065a1dae3e3b061cdb08a16352fb110b83b
Author: icq <icq@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-12-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

commit de1b0f58a49cc8dbb0e7c681e4573a2c2aff547f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Add changelog entry

commit ab6cef3f1cbb27c05489b3b8e44f75f6e663b8bf
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Call tp_debug_set_flags() to get tp-glib debug messages

commit b7ed11068248465334b0158f85ee32b20a814e95
Author: mateju <mateju@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Added Slovenian translation

commit 1fb55c289ce0f8868f25bc6a584a64d9c9ce8aef
Author: mateju <mateju@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Added Slovenian translation

commit 8297d04e95387045ec54454c5da99703b9c93c87
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Conflicts:

commit 287a94ed26db281d9ba6331230e3ead8019ed8e0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-12-02  Xavier Claessens  <xclaesse@gmail.com>

commit efc6cfbc258c6a44e85580b39131b11e21ad3eb2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Squashed commit of the following:

commit efa7fe0ef8b51f14d9fd0544e713802b78d39a1d
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation

commit 1d17dc6cca3075c38567b7a77272f935fe976d40
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-30  Xavier Claessens  <xclaesse@gmail.com>

commit 7558db06f060606c1832e1e4e6e6f374e4e2b927
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-28  Xavier Claessens  <xclaesse@gmail.com>

commit bca7c49af1209c0befa4ae026558d410d22bdbc1
Author: lferrett <lferrett@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-27  Luca Ferretti  <elle.uca@libero.it>

commit 8ab00788a8e59f26ce988d25f8633125646b959e
Author: al_shopov <al_shopov@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-26  Alexander Shopov  <ash@contact.bg>

commit f161c38de461fa3159528a485935b0753bd2bd07
Author: aihana <aihana@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-23  Takeshi AIHANA <takeshi.aihana@gmail.com>

commit 63a105489d02038ecc43b34b69ae97c263cbe783
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-22  Xavier Claessens  <xclaesse@gmail.com>

commit 09ebb1d23a05d4a91aaf4574615ef8fe29949905
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-21  Xavier Claessens  <xclaesse@gmail.com>

commit 7419f8367420392f8f06ad1007cdd7447f114df4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-21  Xavier Claessens  <xclaesse@gmail.com>

commit 80719db0dd6889fdd5c8ae91c89e05ab0fbcb687
Author: ymarcheg <ymarcheg@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Occitan translation

commit ef2d603dc983432236307d0fbd525460ca5fa8db
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    s/Apeller/Appeler/

commit bc841599f7a64b0067ef86bd2ee0f1c9055b8fdf
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-21  Xavier Claessens  <xclaesse@gmail.com>

commit 07ae4c33e3d1afa3553682371c41ef0fd106bfc2
Author: ymarcheg <ymarcheg@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Occitan translation

commit 3663e009a5defb3086c02221d7f26f125a99c0e9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-15  Xavier Claessens  <xclaesse@gmail.com>

commit 7df8384aff858a02daccc6dd1cfc1ea8859768bb
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-15  Xavier Claessens  <xclaesse@gmail.com>

commit be1f478fe3be1b54fcf93f576fd1bd7965fe2393
Author: aklapper <aklapper@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-14  Andre Klapper  <a9016009@gmx.de>

commit 4b1dab6ac73db58758ab0f3686a2b16931451eb5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-13  Xavier Claessens  <xclaesse@gmail.com>

commit 9323faf4f2385c61b9eb9a386fe95af3bed805e9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-12  Xavier Claessens  <xclaesse@gmail.com>

commit 715e23b3c024abbeb57884f081a52e5335f42e5c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    fix typo

commit f06058c09ef2241debe418b2a32908c1ef797873
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Update before release

commit 427cca04e659f076cdb465b6d6d3f0ec4c6e10bb
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-12  Xavier Claessens  <xclaesse@gmail.com>

commit efc4147ac5de9340a0a3b74ee2838aa21cdd65de
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-12  Xavier Claessens  <xclaesse@gmail.com>

commit f2a497679e4e5183ab065c5b76ecc2a8d2ea40aa
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-11  Xavier Claessens  <xclaesse@gmail.com>

commit 9b1bd4f3a2fe815451f50fc9d016181f3542596a
Author: dnylande <dnylande@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    sv.po: Updated Swedish translation

commit e813efd938939d3651fd39fa6dda1ba85515ed61
Author: ituohela <ituohela@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Finnish translation

commit 3fc3337eedcd4a5df4665f66347167f2a720ba3a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-07  Xavier Claessens  <xclaesse@gmail.com>

commit 7259dfbba6e4a785632cf70a75058e81631fdd5e
Author: icq <icq@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Galician Translation.

commit 8794960f72f6ac89a2302a2613c6b51510302dcb
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation

commit 0034c3282995b3d21400f23b2211902978dacdc1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-06  Xavier Claessens  <xclaesse@gmail.com>

commit 4d28b33c2a996fc5f295dbf59cafad589ccd1472
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation

commit c8943c732f95040896f30fe06231031916f899b7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Forgot to say the code comes from gossip

commit d14f80f5dd47f8030f19deaf6f8360558725de6d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-04  Xavier Claessens  <xclaesse@gmail.com>

commit 75ca15ff862c50280879863180a2cdb88eb04fbc
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Better debug messages

commit 4242c0576b66718190b786b46f603950c5baa68e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-03  Xavier Claessens  <xclaesse@gmail.com>

commit e9ff7f88544e041ad54fb41d0a5fb4e1ad6f3428
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-03  Xavier Claessens  <xclaesse@gmail.com>

commit 0cb33e2621ab83123ec6a3b456f76de2811ddcfe
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-03  Xavier Claessens  <xclaesse@gmail.com>

commit d29934cfb25a634d9dab747dbe1e3b0618b994d6
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-03  Xavier Claessens  <xclaesse@gmail.com>

commit 40ddec684ee39d68b2f1f513f71d5c0d3bfb83e1
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-03  Xavier Claessens  <xclaesse@gmail.com>

commit dc05101c41c079ee92d21690d21734068d24b6fc
Author: espens <espens@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-01  Espen Stefansen <espens@svn.gnome.org>

commit adf721f3843f1899883da68544e4c7412acb29ef
Author: dnylande <dnylande@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    sv.po: Updated Swedish translation

commit c1066e4898303a01d05abec1a3f643649198d515
Author: aihana <aihana@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-11-01  Takeshi AIHANA <takeshi.aihana@gmail.com>

commit a1d42713ce9869b7c53eea4981588b9b26cfb524
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation

commit 74959642046d80cba57c14f855af166adb8dfa45
Author: kelemeng <kelemeng@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-30  Gabor Kelemen  <kelemeng@gnome.hu>

commit 2c12738246811044360c80f7e7800e068cb26f08
Author: icq <icq@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

commit d214ac7c438a431a5588649ed8b2cc6db4be2ad5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated for release

commit 28ec4e9a7bdcacf36229ff303d26d678456af31e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-28  Xavier Claessens  <xclaesse@gmail.com>

commit ce9454407b1cddee8c880154b5f6dd7149d7a1a7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-28  Xavier Claessens  <xclaesse@gmail.com>

commit 1d34ad877f9f2ed7d2a29670abf3f57c6d9c4bfc
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Also accept :$ and :-$ for face-embarrassed

commit a14ff7023a6ac1dc79a8255c0230004917781346
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-28  Xavier Claessens  <xclaesse@gmail.com>

commit 212624fb8ccfdd9a228036393c534d453ef1d28b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-28  Xavier Claessens  <xclaesse@gmail.com>

commit a30c5d719262826e2de56a979908baae54045deb
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation

commit e90303f99ebeeae64896b520049c6f648e61b070
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-25  Xavier Claessens  <xclaesse@gmail.com>

commit cbbe59da7577d783b7c6b6e5438514c098fba5fa
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-25  Xavier Claessens  <xclaesse@gmail.com>

commit e7b38ab9cedbef80c5dad6e45d137505e56e4d69
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-25  Xavier Claessens  <xclaesse@gmail.com>

commit 6127d1a261672806e226cdf0c7431e69d8aaa3e5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-25  Xavier Claessens  <xclaesse@gmail.com>

commit 658639a2c1fc3c4a45461f2191f0539015870ef0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-25  Xavier Claessens  <xclaesse@gmail.com>

commit 5b726d019168d0e26eccc23d3b4abf123c2be20d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-25  Xavier Claessens  <xclaesse@gmail.com>

commit f4667d5c50c58c17b6e69c46a75f0feb1c248648
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-25  Xavier Claessens  <xclaesse@gmail.com>

commit ba80b6a1919af3b6c1e71893199ccd448c47f7a6
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-24  Xavier Claessens  <xclaesse@gmail.com>

commit ab3ab71c11db53750330e7bc3f7fb0edf534290d
Author: claudep <claudep@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-24  Claude Paroz  <claude@2xlibre.net>

commit 8f362d169637c8f3033f4405f3ed272cc7bf7aa2
Author: djihed <djihed@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Arabic Translation by Djihed Afifi.

commit 5e0500ddad82f0196a39e647725e53ed0d0cbe3d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-23  Xavier Claessens  <xclaesse@gmail.com>

commit 203dc5f2b28fc7c16cf1ca7955bd73d222ef73f6
Author: dnylande <dnylande@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    sv.po: Updated Swedish translation

commit 4841b078ad4230c7e25d346db5250e92d521db50
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-21  Xavier Claessens  <xclaesse@gmail.com>

commit b58ce81161f1f30e888f01bfd013cb3be8c8c360
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    forgot changelog

commit 34fab6a4b5fe1d74e0bff0c75610a6c85644d6a7
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-21  Xavier Claessens  <xclaesse@gmail.com>

commit 75f73f79a6a803c4080b48c0deb1e3de2f52b78f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-21  Xavier Claessens  <xclaesse@gmail.com>

commit 76b919153f6f9c72e686bdbfbf2a6a389c1f693a
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation

commit 154625b32c0926b07ab2c38ff927b5991e739203
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-19  Xavier Claessens  <xclaesse@gmail.com>

commit 1ef2b69f17b6f66dd499bf1ebde8481bd43b6f2e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-19  Xavier Claessens  <xclaesse@gmail.com>

commit ba1c8fbfc68f2e772d0b9c9749dfc43120c7be20
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-19  Xavier Claessens  <xclaesse@gmail.com>

commit 34216c7683f325c0ef086b1bfceaa68a00463701
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-19  Xavier Claessens  <xclaesse@gmail.com>

commit c5101c2125ff6fc14b4a808ffcb79eb42b8aa9f3
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-19  Xavier Claessens  <xclaesse@gmail.com>

commit 0633db41fea47b8971ea0efbe69a556d88e09a60
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-18  Xavier Claessens  <xclaesse@gmail.com>

commit c7ab5a2f89ba1ad593bd5b05e5c8e6497be86601
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-15  Xavier Claessens  <xclaesse@gmail.com>

commit c6118369f2c87c0788b4f3b1aecdf6b29549ddd2
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation

commit ad7f3e61882f2549239ca6c9d366e0e2e89ec14f
Author: ymarcheg <ymarcheg@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Occitan translation

commit 56d6e90d3085ce12d1efb1f3242eeb48bd162e81
Author: ymarcheg <ymarcheg@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Occitan translation

commit cfc86ffbf66d7c6a60f00887979214e2bf40b31d
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-13  Xavier Claessens  <xclaesse@gmail.com>

commit 46b36ddc5af420c903db28e8e1aa7c5c7b07f4b9
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-13  Xavier Claessens  <xclaesse@gmail.com>

commit 72e5841e61bbbe883e407bf8d16868d99ab847cb
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-13  Xavier Claessens  <xclaesse@gmail.com>

commit 7fe39120a7aeef04f41105eee5173cd10b423474
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-11  Xavier Claessens  <xclaesse@gmail.com>

commit 2d1ea4f20301777578ce19fc39a4b673b9be6ce4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-11  Xavier Claessens  <xclaesse@gmail.com>

commit 142ef37f153eb86f159c73c81ef2c5daf21dd96f
Author: dnylande <dnylande@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    sv.po: Updated Swedish translation

commit 1311fffe52810d48998554f954d934a8d57f9285
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-09  Xavier Claessens  <xclaesse@gmail.com>

commit a69d598b2806c52e86c1914ff8f18b772ac1c9ea
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-09  Xavier Claessens  <xclaesse@gmail.com>

commit cc5248cc0ec16256465b6a014db544b0d2fb07c3
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-09  Xavier Claessens  <xclaesse@gmail.com>

commit 51c0a88c7220470ffb13357b10a24459cfeb6e3b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-08  Xavier Claessens  <xclaesse@gmail.com>

commit c1210b9462f19ce8882b4fcad5f380c32a03128d
Author: aihana <aihana@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-08  Takeshi AIHANA <takeshi.aihana@gmail.com>

commit 1a8970b61439310dfbdfc834d73f2f8a5c950bad
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation

commit 0e8b0d1f1127985e4e5319d2275adc5f78a8662e
Author: mbari <mbari@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-03  Marco Barisione  <marco@barisione.org>

commit a31747ab6fc848ae7b4511a11884a4f2a59ea77b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Oops, useless g_print

commit 9da6ada6f8b8b3a3f66308a8e8f29783f6581a34
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    really fix protocol group

commit f8d8c4da28de0478765fd29c166c0c3d025721fd
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-02  Xavier Claessens  <xclaesse@gmail.com>

commit d375a23865bab7a5c910d343717a2781a038d42c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-01  Xavier Claessens  <xclaesse@gmail.com>

commit 00475209b87da837587488213e3b50b60355dc07
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-01  Xavier Claessens  <xclaesse@gmail.com>

commit d8543dc41fa939655825f274147f97d15a1ed2a8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-01  Xavier Claessens  <xclaesse@gmail.com>

commit 447aa47dd0f301ef651273f20da0cc824d8a7d16
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-01  Xavier Claessens  <xclaesse@gmail.com>

commit 30723fafad65d9a393df54ab5060ef521108ff28
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-01  Xavier Claessens  <xclaesse@gmail.com>

commit 18ed6c40c0553cb9790ac7665f57ba4f7ac0437f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-01  Xavier Claessens  <xclaesse@gmail.com>

commit 5ce5398910011ade36eccff7bddb7db30107ec6b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-01  Xavier Claessens  <xclaesse@gmail.com>

commit 5781c771dae7315198b733d6024fca4b82a82a1e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-01  Xavier Claessens  <xclaesse@gmail.com>

commit 8ceafd628952e29e763b205d31fcd30549dcf637
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-01  Xavier Claessens  <xclaesse@gmail.com>

commit e6756f6e882b531992773421af379947331207dd
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-01  Xavier Claessens  <xclaesse@gmail.com>

commit d9ba6bf399632379fc5cec54355826a3c716186a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-01  Xavier Claessens  <xclaesse@gmail.com>

commit c188e1f7e0b7f73ca92cbd80224da6268d54f658
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-01  Xavier Claessens  <xclaesse@gmail.com>

commit 049aa591c8d1c772d004421e1261987d41bc109b
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-10-01  Xavier Claessens  <xclaesse@gmail.com>

commit 0a5fab27a5be2cafeaa2021a99744838f01881a0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-29  Xavier Claessens  <xclaesse@gmail.com>

commit 075e3e23375e35dac4ee1edeed7b2a2f3f91653f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-29  Xavier Claessens  <xclaesse@gmail.com>

commit a3606fd8eddc31203af6863b2811a80f2acf0ba2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-29  Xavier Claessens  <xclaesse@gmail.com>

commit 7acb27e9957ccac908dea7d650863a0a848b5663
Author: aihana <aihana@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-29  Takeshi AIHANA <takeshi.aihana@gmail.com>

commit 5baeedff696b0131a46eee2059ebf19f814927d5
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-28  Xavier Claessens  <xclaesse@gmail.com>

commit d472c67d89bc3aa35f6ceb07278a97b39cf864f4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-28  Xavier Claessens  <xclaesse@gmail.com>

commit a2f1ca78be3ef5f5e86be73a8d7d974ed9492e7f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-28  Xavier Claessens  <xclaesse@gmail.com>

commit baafb4ca9df947719d60c2250a9e3c19532b095e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-28  Xavier Claessens  <xclaesse@gmail.com>

commit a0d121d9fe55ffec234923b5ebf645750c07585f
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-28  Xavier Claessens  <xclaesse@gmail.com>

commit 377b6c9ea68533543d5038b4dc9ea98a9bc6712a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-27  Xavier Claessens  <xclaesse@gmail.com>

commit d61010d5609a5a773d562012adddef8304bc6d14
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-27  Xavier Claessens  <xclaesse@gmail.com>

commit 9c4c5799ee28f93e6ab0ca9019cb4cb7a53a9d39
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-27  Xavier Claessens  <xclaesse@gmail.com>

commit 290432d64b1eff6ffc76360f538af3cfbcc4f44a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-27  Xavier Claessens  <xclaesse@gmail.com>

commit 689970cf0580c6d43c65f655781b9bd25ac7cd1e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Forgot changelog

commit 1de9b368ef70b585d9c2bbb7f966155ef10d84ac
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-26  Xavier Claessens  <xclaesse@gmail.com>

commit 01cd013d9ab4d1d5bfb09c22c79e209c6b641e55
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-26  Xavier Claessens  <xclaesse@gmail.com>

commit 986eb266246b4538db6a7e6bb2bf43f8ed4e16b8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-26  Xavier Claessens  <xclaesse@gmail.com>

commit 0e2d2179479886d67c97be1949c823c9d662c941
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation

commit 07ffbdf474373cccf926bc18bd653abe8140de08
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-21  Xavier Claessens  <xclaesse@gmail.com>

commit 57136afa23b91ec6ca0b28077a11fb5520c42fc8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-21  Xavier Claessens  <xclaesse@gmail.com>

commit 6356348014d36c9bf521ad3fc0e2bd15b5c671a2
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-21  Xavier Claessens  <xclaesse@gmail.com>

commit 3e0a179495bf3d1b5c2061f233f8cdc8e49a9444
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-21  Xavier Claessens  <xclaesse@gmail.com>

commit 4e30da190259a53815ab52127fc4e26ea5fd7d03
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-21  Xavier Claessens  <xclaesse@gmail.com>

commit b837536e621e863a59c251d5528d7db16fcc96e4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-21  Xavier Claessens  <xclaesse@gmail.com>

commit e807ad57a07145b79466acdc53a5658126aa1843
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-21  Xavier Claessens  <xclaesse@gmail.com>

commit 7a823598321764014af66b44ef67a7c7ff7e94ce
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation

commit f800a91e78e83a23d68911fc3ac9811173f9ec44
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-20  Xavier Claessens  <xclaesse@gmail.com>

commit b62cfb2d1d8775d5828b4e47ebb5c4df48dcb207
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-19  Xavier Claessens  <xclaesse@gmail.com>

commit 7755b0075aaae1f090cba80d3980c0a73551b421
Author: ituohela <ituohela@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Finnish translation

commit c8cb1e5eda315d2e40575e32d855d723f89dea22
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Forgot changelog

commit b62c81bfb8d31980e785b7395549c7897450c6cb
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-11  Xavier Claessens  <xclaesse@gmail.com>

commit 81d3478ca631a61998a8c4a38f63b489b651c4a3
Author: jordim <jordim@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Catalan translation.

commit 44a773d06ecfbcfe05d5723361e1fdbb2d0aedc6
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-10  Xavier Claessens  <xclaesse@gmail.com>

commit d0089c8306c0a023431ea11b858a4b3411524802
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-08  Xavier Claessens  <xclaesse@gmail.com>

commit 64999b2d4c9548afb59783eff7a861ccb7a29787
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    forgot to add those files

commit 061bfc5b73d6bc81c72c942cf21c7440a0b6b957
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-08  Xavier Claessens  <xclaesse@gmail.com>

commit 74882b40bc33b5e8a765d0cd989158ce0477733c
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-08  Xavier Claessens  <xclaesse@gmail.com>

commit e0081361f5b7fdecc34f4df591f389d0ce0fb403
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-08  Xavier Claessens  <xclaesse@gmail.com>

commit e61ddd5ef1b0037c1ba09309618e6273a4df4a37
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-08  Xavier Claessens  <xclaesse@gmail.com>

commit c024e3a0bff2c3d96d3d495150a06323cecc60f4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Correct bug number

commit 71735cbfe471a23c10521192c6b426cd5ecb9eda
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-08  Xavier Claessens  <xclaesse@gmail.com>

commit f7c8f22d6d8386c77811ac1373442527d8eb9daa
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-08  Xavier Claessens  <xclaesse@gmail.com>

commit 9137d91f4b000512e8e415719d1e2d6040705bbe
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-09-08  Xavier Claessens  <xclaesse@gmail.com>

commit d29dfbcefe608d58b583053c8f0e0818557d029f
Author: ituohela <ituohela@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Finnish translation

commit 1a2a3ba174b1a32553fc3f6be16eb2208938cc0e
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-08-31  Xavier Claessens  <xclaesse@gmail.com>

commit 1599ef54006a98fdc33ae75fca356a11785d63a4
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-08-30  Xavier Claessens  <xclaesse@gmail.com>

commit c74164ab9a6c338cec3f3c57e840c53ceb4dc225
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    match maintainer.py syntax

commit f572bfd5fa085c368695f45512ca9c55df4fb513
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Completely reworked ContactList API. Fixes bug #471611, bug #467280, bug #459540 and bug #462907.

commit b409e047e61e73851a162bb9a903b012469c0ac9
Author: stephaner <stephaner@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated French translation by Laurent Bigonville and Stéphane Raimbault.

commit a6583f1827f10d3bc4e02d488869f05bad0f1f18
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-08-24 Xavier Claessens  <xclaesse@gmail.com>

commit 19564156bc71c652abd9bd1a705bbca869393b52
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Croatian translation (Senko Rasic)

commit 0f6a6a4db47f1df59a5ee5b9a14f139b147d0c2c
Author: aihana <aihana@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-08-26  Takeshi AIHANA <takeshi.aihana@gmail.com>

commit 304c1f02c73285951a0dbbaedd456d421459756a
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation

commit 1743a112929bc3917a9bf20c14c15642c130d5db
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-08-24 Xavier Claessens  <xclaesse@gmail.com>

commit 7a06e8dee5ee2a7a95a9c1f06ffc14b807aab4f0
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    update lt version

commit 0af45e7dfd3cf9f35f42455eebe7cd7822c1bea8
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-08-24 Xavier Claessens  <xclaesse@gmail.com>

commit 674b0a4584ec097c603e1c66d490b5864e3a8488
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-08-24 Xavier Claessens  <xclaesse@gmail.com>

commit 04dca02fddfab2977f683bb2f32ae090cb33e2b6
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-08-24 Xavier Claessens  <xclaesse@gmail.com>

commit c69cf6e11c61485dcbaf39327164fbc6cc1ade55
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    forgot that file

commit c6c5e37216d6f6ab9a54fc6dc2360df6cf947a67
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-08-24 Xavier Claessens  <xclaesse@gmail.com>

commit 04724db429c7fe17a20fa05dd5e31c9e2fdefe86
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-08-23 Xavier Claessens  <xclaesse@gmail.com>

commit 4bb650a22f3e2b56d8e8c81d4985ed841fee1334
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-08-19 Xavier Claessens  <xclaesse@gmail.com>

commit ee80a3d68bc38e200842ef83353a25b3630feb82
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-08-19 Xavier Claessens  <xclaesse@gmail.com>

commit 2e5e67d151d63a7939ec6864f3f05b20a53e20ae
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Last patch was from Cosimo Cecchi

commit a925aef4b78f909a11d3d6eb3e8385624d78eb03
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-08-19 Xavier Claessens  <xclaesse@gmail.com>

commit 9305af620b66d6c43c0af20307e260180c32af69
Author: aflinta <aflinta@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-08-19  Artur Flinta  <aflinta@svn.gnome.org>

commit 8b7db47f6534281797b922cdca063c79d1d96429
Author: jorgegonz <jorgegonz@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Spanish translation

commit 3f15857fed52084b6e33c05862cec8b89524edc1
Author: ituohela <ituohela@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Finnish translation

commit 3614b552787a29efed89203d27bfe43783ef75b4
Author: ituohela <ituohela@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    Updated Finnish translation

commit 230e829deb4aa5ecd47dce0efb1cd58dafc4b856
Author: aihana <aihana@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-08-14  Takeshi AIHANA <takeshi.aihana@gmail.com>

commit d01ede62c9ff59b0b4daba53bc4d2fd2c1846bb3
Author: stephaner <stephaner@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    One more fix. Thanks to Claude Paroz.

commit 5ed3a8fa102143c73500165f93730d645b56774a
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-08-13 Xavier Claessens  <xclaesse@gmail.com>

commit 7ea1665687dba23be7083df96fe4d911e5d8174c
Author: fpeters <fpeters@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    * fr.po: Updated French translation with fixes suggested by Stéphane
    Raimbault.

commit c717dea93a8c9c09e78404dcdc9988e97f986570
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

    2007-08-12 Xavier Claessens  <xclaesse@gmail.com>

commit fa9167b7d56b24194486c71e1c7991471cfd2737
Author: xclaesse <xclaesse@4ee84921-47dd-4033-b63a-18d7a039a3e4>

